Welcome to Host Integration Tools

The Host Integration Tools can simplify using Microsoft® Windows® computers with PS Series storage arrays. The tools provide a efficient way to create and expand PS Series groups, configure multipath I/O, perform manual transfer replication, and back up and restore data.

Audience

The information herein is designed for individuals responsible for installing or using the Host Integration Tools. It is recommended that you understand basic PS Series group operations, in addition to Windows operating system and iSCSI initiator operation.

Organization

The organization is as follows:

  • Host Integration Tools Installation describes the Host Integration Tools kit components, operating system support, and how to install the tools.
  • Remote Setup Wizard describes how to use the Remote Setup Wizard to initialize arrays and create or expand groups, configure system access to a group, and configure multipath I/O between a system and group.
  • Auto-Snapshot Manager describes how to protect data by creating VSS snapshots and replicas in a group.
  • VDS Provider describes how to use the VDS provider.

Documentation

For detailed information about PS Series arrays, groups, and volumes, see the following documentation:

  • Release Notes. Provides the latest information about PS Series arrays.
  • QuickStart. Describes how to set up the array hardware and create a PS Series group. Be sure to use the manual for your array model.
  • Group Administration. Describes how to use the Group Manager graphical user interface (GUI) to manage a PS Series group. This manual provides comprehensive information about product concepts and procedures.
  • CLI Reference. Describes how to use the Group Manager command line interface (CLI) to manage a PS Series group and individual arrays.
  • Hardware Maintenance. Provides information about maintaining the array hardware. Be sure to use the manual for your array model.
  • Online help. In the Group Manager GUI, expand Tools in the far left panel and then click Online Help for help on both the GUI and the CLI

The QuickStart and Hardware Maintenance manuals and the Release Notes are printed and shipped with the product. They are also located on the PS Series documentation CD-ROM that is shipped with the product, along with the Group Administration and CLI Reference manuals and the Group Manager online help.

Documentation for Host Integration Tools for Microsoft® Windows® systems is available on the Host Integration Tools CD-ROM that is shipped with the product.

Localized documentation is available on the localization CD-ROM that is shipped with the product in certain countries.

Technical Support and Customer Service

Dell's support service is available to answer your questions about PS Series arrays. If you have an Express Service Code, have it ready when you call. The code helps Dell's automated-support telephone system direct your call more efficiently.

Contacting Dell

Dell provides several online and telephone-based support and service options. Availability varies by country and product, and some services may not be available in your area.

For customers in the United States, call 800-945-3355.

Note: If you do not have an Internet connection, you can find contact information on your purchase invoice, packing slip, bill, or Dell product catalog.

To contact Dell for sales, technical support, or customer service issues:

  1. Visit support.dell.com.
  2. Verify your country or region in the Choose A Country/Region drop-down menu at the bottom of the window.
  3. Click Contact Us on the left side of the window.
  4. Select the appropriate service or support link based on your need.
  5. Choose the method of contacting Dell that is convenient for you.

Online Services

You can learn about Dell products and services on the following websites:

  • www.dell.com/
  • www.dell.com/ap/ (Asian/Pacific countries only)
  • www.dell.com/jp (Japan only)
  • www.euro.dell.com (Europe only)
  • www.dell.com/la (Latin American countries)
  • www.dell.ca (Canada only)

You can access Dell Support through the following websites:

  • support.dell.com
  • support.dell.com/EqualLogic
  • support.jp.dell.com (Japan only)
  • support.euro.dell.com (Europe only)


Host Integration Tools Installation

Host Integration Tools installation topics include the following:

  • Host Integration Tools Components
  • Operating System Support
  • Installing the Host Integration Tools
  • Uninstalling the Host Integration Tools

Always check the Technical Support website to ensure you have the latest Host Integration Tools kit and documentation. See the Host Integration Tools Release Notes for the latest information about the tools.

In this section:

Host Integration Tools Components

Operating System Support

Installing the Host Integration Tools

Uninstalling the Host Integration Tools


Host Integration Tools Components

The Host Integration Tools installation program enables you to choose the components to install, including:

  • Remote Setup Wizard Version 3.0. Enables you to:

    • - Initialize a PS Series array.

    - Set up or expand a PS Series group (SAN), automatically configuring system access to the group.

    - Configure system access to an existing group.

    - Configure multipath I/O between a system and PS Series group volumes.

For more information, see Remote Setup Wizard.

  • Auto-Snapshot Manager Version 3.0. Enables you to implement Microsoft Volume Snapshot Service (VSS) to create snapshots, clones, and replicas and restore data in a PS Series group. For more information, see Auto-Snapshot Manager.
  • VDS Provider Version 3.0. Enables you to use Microsoft VDS Version 1.1 and Microsoft Storage Manager for SANs to create and manage volumes in a PS Series group. For more information, see VDS Provider.
  • Microsoft iSCSI Software Initiator V2.04. This version is required by Remote Setup Wizard, Auto-Snapshot Manager, and the VDS provider. For information about using the initiator, see the Microsoft documentation.
  • Manual Transfer Utility Version 1.0.2. Enables you to perform the initial replication for a volume using external media instead of the network. For information about using the Manual Transfer Utility, see the PS Series Group Administration manual.
  • Java Runtime Environment v1.6 Update 1. Enables you to use the Group Manager graphical user interface (GUI). For information about using the GUI, see the PS Series Group Administration manual.

If a previous version of a component is already installed, the Host Integration Tools installation program will uninstall the component before installing the latest version.

Not all operating systems support all the Host Integration Tools components. See Operating System Support for more information.


Operating System Support

Operating System Support shows operating system support for the Host Integration Tools. In addition, each tool has specific computer and PS Series group requirements.

Operating System Support
Tool | Windows XP | Windows Vista | Windows Server 2003 SP2 | Windows Server 2003 R2 SP2
Remote Setup Wizard | Yes | Yes | Yes | Yes
Multipath I/O DSM | No | No | Yes | Yes
Auto-Snapshot Manager | No | No | Yes | Yes
VDS Provider | No | No | Yesa | Yes

a. The VDS provider will be installed on Windows Server 2003 SP2, but Storage Manager for SANs is not available on that operating system. To use Storage Manager for SANs, you must run Windows Server 2003 R2 SP2.


Installing the Host Integration Tools

To install the Host Integration Tools, follow these steps:

  1. Obtain the Host Integration Tools kit from the Technical Support website or the Host Integration Tools CD-ROM shipped with a PS Series array.
  2. Start the installation by downloading the kit from the website or inserting the CD-ROM in the system.
  3. Click View Documentation in the installer screen to display the Host Integration Tools User Guide. It is strongly recommended that you read the User Guide and the Host Integration Tools Release Notes before continuing with the installation.
  4. Specify information about the installation when prompted. You can choose the Typical installation, which will install all the tools supported by the operating system, or you can choose the Custom installation, which enables you to select the tools you want to install.

    The latest Microsoft iSCSI Software Initiator, V2.04, is a prerequisite for the Host Integration Tools and will be installed if it is not already present on your system, unless the initiator is V1.x. If a V1.x initiator is installed, you must remove it manually before V2.04 can be installed. The Microsoft website has the latest iSCSI initiator and documentation.

For information about uninstalling the Host Integration Tools, see Uninstalling the Host Integration Tools.


Uninstalling the Host Integration Tools

To uninstall an individual component of the Host Integration Tools, run the Host Integration Tools installer on the computer and choose to modify the installation. You can then select the component you want to uninstall.

You can also uninstall some or all of the Host Integration Tools components through the Add/Remove Programs utility in the Windows Control panel.


Remote Setup Wizard

The Remote Setup Wizard simplifies array, group, and Windows setup. Remote Setup Wizard topics include the following:

  • Remote Setup Wizard Features
  • Remote Setup Wizard Computer and Group Requirements
  • PS Series Group Network Recommendations
  • Launching the Remote Setup Wizard
  • Initializing an Array and Creating a Group
  • Initializing an Array and Expanding a Group
  • Enabling Computer Access to a Group
  • Disabling Microsoft Service Access to a Group
  • Using the Multipath I/O DSM
  • Troubleshooting Remote Setup Wizard

To install the Remote Setup Wizard, see Host Integration Tools Installation. See the Host Integration Tools Release Notes for the latest information about the wizard.

In this section:

Remote Setup Wizard Features

Remote Setup Wizard Computer and Group Requirements

PS Series Group Network Recommendations

Launching the Remote Setup Wizard

Initializing an Array and Creating a Group

Initializing an Array and Expanding a Group

Enabling Computer Access to a Group

Disabling Microsoft Service Access to a Group

Using the Multipath I/O DSM

Troubleshooting Remote Setup Wizard


Remote Setup Wizard Features

The Remote Setup Wizard simplifies PS Series group (SAN) and Windows computer setup, enabling you to perform the following tasks:

  • Initialize a PS Series array and either create or expand a group. The wizard will also automatically set up computer access to the group, configuring the group IP address as the iSCSI target discovery address and, for new groups, enabling Microsoft service (VSS or VDS) access to the group through CHAP authentication.
  • Configure the computer to access a group. The wizard will configure the group IP address as the iSCSI target discovery address and also configure Microsoft service (VSS or VDS) access to the group if CHAP authentication is being used to restrict access. You can also use the wizard to modify access information or disallow computer access to a group.
  • Configure multipath I/O. Redundant network paths between a computer and group volumes provide highly-available and high-performance access to data.


Remote Setup Wizard Computer and Group Requirements

Windows computer and PS Series group requirements for using the Remote Setup Wizard are as follows:

  • Computer running a supported operating system and Microsoft iSCSI Software Initiator V2.04. See Operating System Support for information about Remote Setup Wizard operating system support.
  • Network interface (NIC) installed on the computer. Multiple NICs or HBAs are required for multipath I/O.
  • If you want to create or expand a group:

    • - Uninitialized PS Series array running PS Series Firmware Version 3.2 with Patch L2, or a higher version. The array hardware must be installed and a network cable must be attached to Ethernet Port 0. Follow the hardware installation procedure described in the PS Series QuickStart or SAN Setup poster for your array model. Note that a serial cable is not needed for the array initialization if you are using the Remote Setup Wizard, although you should keep the serial cable for later use if there is no network access to the array or group.

    - Connection between the array and computer. There are two connection options:

• Connect the computer to the same Ethernet segment as the array, and ensure that Layer 2 multicasting is not blocked between the array and the computer. This is the required connection method if you want to configure computer access to a group or configure multipath I/O between the computer and a group.

• Use an RJ45 network cable to directly connect the computer to Ethernet Port 0 on the uninitialized PS Series array.


PS Series Group Network Recommendations

PS Series Group Network Recommendations describes the network recommendations for PS Series group operation and for computer access to group. All the normal networking rules apply; however, network configuration is beyond the scope of this manual.

PS Series Group Network Recommendations

Recommendation

Description

Switched Gigabit Ethernet network

Connect arrays and hosts to a switched network and ensure that all network connections between hosts and arrays are Gigabit Ethernet. An array can operate at 10 and 100 Mbits, but performance will be significantly degraded.

Multiple network connections

For increased bandwidth and availability, connect multiple network interfaces on an array to the network (use different switches, if possible). Connect interfaces in the following order: Port 0, Port 1, and Port 2. Multiple network connections are required for multipath I/O.

The initial group setup configures only one network interface on an array (Port 0). After creating the group, use the Group Manager GUI or CLI to assign an IP address and netmask to other network interfaces.

Access to the group IP address

In a multi-subnet group, each configured network interface should have access to the subnet on which the group IP address resides.

Redundant network paths

Multipath I/O provides a highly-available network path between computers and arrays.

For replication, a reliable, adequately sized network link

For effective and predictable replication, be sure that the network link between the primary and secondary groups is reliable and provides sufficient bandwidth for copying data.

Flow Control enabled on switches and NICs

Enable Flow Control on each switch port and NIC that handles iSCSI traffic. PS Series arrays will correctly respond to Flow Control.

Unicast storm control disabled on switches

Disable unicast storm control on each switch that handles iSCSI traffic, if the switch provides this feature. However, the use of broadcast and multicast storm control is encouraged on switches.

Jumbo Frames enabled on switches and NICs

Enable Jumbo Frames on each switch and NIC that handles iSCSI traffic to obtain any performance benefit and ensure consistent behavior.

No STP functionality on switch ports that connect end nodes

Do not use Spanning-Tree (STP) on switch ports that connect end nodes (iSCSI initiators or storage array network interfaces).

However, if you want to use STP or RSTP (preferable to STP), you should enable the port settings available on some switches that let the port immediately transition into STP-forwarding state upon linkup. This functionality can reduce network interruptions that occur when devices restart, and should only be enabled on switch ports that connect end nodes.

Note: The use of Spanning-Tree for a single-cable connection between switches is encouraged, as is the use of trunking for multi-cable connections between switches.

VLANs

Configure switches to use VLANs in order to separate iSCSI SAN traffic from other network traffic.


Launching the Remote Setup Wizard

After you install the Host Integration tools, you can choose to launch the Remote Setup Wizard automatically, or you can run it later by clicking:

Start > Programs > EqualLogic > Remote Setup Wizard

In the dialog box that appears, select the task you want to perform:

  • Initialize an array (and create or expand a group).
  • Configure the computer to access a group.
  • Set up multipath I/O.


Initializing an Array and Creating a Group

Using the Remote Setup Wizard, you can initialize a PS Series array and create a PS Series group with the array as the first member. In addition, the wizard will set up computer access to the group, configuring the group IP address as the iSCSI target discovery address and enabling Microsoft service (VSS or VDS) access to the group through CHAP authentication.

Note: If the Remote Setup Wizard is interrupted while initializing an array and the operation fails, you must reset the array before running the wizard again. To reset an array, connect the serial cable that was shipped with the array to the active control module and to a console terminal or a computer running a terminal emulator. Then, enter the reset command.

Before you initialize an array and create a group, gather information about the array configuration and the group configuration, as described in Array Configuration and Group Configuration. The Remote Setup Wizard will prompt you for this information.

Array Configuration

Prompt

Description

Member name

Unique name (up to 63 numbers, letters, or hyphens) used to identify the array in the group. The first character must be a letter or number.

IP address

Network address for the Ethernet 0 network interface.

Note: Each member must have at least one network interface on the same subnet as the group IP address, describes in Group Configuration.

Netmask

Combines with the IP address to identify the subnet on which the Ethernet 0 network interface resides.

Default gateway

Network address for the device used to connect subnets and forward network traffic beyond the local network. A default gateway is used to allow the Ethernet 0 network interface to communicate outside the local network (for example, to allow access to volumes from computers outside the local network).

Note: The default gateway must be on the same subnet as the Ethernet 0 network interface.

RAID policy

RAID policy configured on the first member of the group:

  • RAID 10 — Striping on top of multiple RAID 1 (mirrored) sets, with one or two spare disks. RAID 10 provides good performance for random writes, in addition to the highest availability.
  • RAID 50 — Striping on top of two RAID 5 (distributed-parity) sets, with one or two spare disks. RAID 50 provides a good balance of performance (especially for sequential writes), availability, and capacity.
  • RAID 5 — One RAID 5 set, with one spare disk. RAID 5 is similar to RAID 50, with more capacity (two additional disks) but lower availability and performance.

If you are adding an array to an existing group, use the Group Manager GUI or CLI to set the RAID policy for the new member.

Group Configuration

Prompt

Description

Group name

Unique name (up to 63 letters, numbers, or hyphens) used to identify the group. The first character must be a letter or number.

Group IP address

Network address for the group. The group IP address is used for group administration and host access to data stored in the group.

Password for managing group membership

Password required when adding members to the group. The password must have 3 to 16 alphanumeric characters and is case-sensitive.

Password for the default group administration account

Password that will override the factory-set password (grpadmin) for the default grpadmin account. The password must have 3 to 16 alphanumeric characters and is case-sensitive.

Microsoft service user name and password

CHAP user name and password used to enable Microsoft service (VSS or VDS) access to the group. The user name must have between 3 and 54 alphanumeric characters. The password must have 12 to 16 alphanumeric characters, and is case-sensitive.

Microsoft services running on a computer must be allowed access to the group in order to create VSS snapshots in the group or use VDS.

Follow these steps to initialize an array and create a group:

  1. Start the Remote Setup Wizard. as described in Launching the Remote Setup Wizard.

2. In the Welcome dialog box, as shown in Remote Setup Wizard - Welcome, choose to initialize an array and click Next.

Remote Setup Wizard - Welcome

3. A list of arrays appears in the Select an Array to Initialize dialog box, as shown in Remote Setup Wizard - Select an Array to Initialize. To display details about an array, including the serial number and MAC address, select the array and click Details.

Remote Setup Wizard - Select an Array to Initialize

Note: If no arrays appear, click the Rediscover button. If arrays still do not appear, be sure you meet the requirements described in Remote Setup Wizard Computer and Group Requirements. In addition, see Troubleshooting Remote Setup Wizard.

Select the array you want to initialize and click Next.

4. Enter the array network configuration in the Initialize an Array dialog box, as shown in Remote Setup Wizard - Initialize an Array . This is the information described in Array Configuration. Click a field name link to display help on the field.

In addition, choose to create a new group. Then, click Next.

Remote Setup Wizard - Initialize an Array

5. Enter the group configuration in the Creating a Group dialog box, as shown in Remote Setup Wizard - Creating a Group. This is the information described in Group Configuration. Then, click Next.

Remote Setup Wizard - Creating a Group

6. A message appears when the array has been initialized (Initialization Successful). Click OK.

Initialization Successful

7. When the Finish dialog box appears (Remote Setup Wizard - Finish), you can:

    • Click View Log to display a summary of the configuration.
    • Click Next to initialize another array and add it to the group.
    • Click Finish to complete the configuration and exit the wizard.

Remote Setup Wizard - Finish

When you exit the wizard, it will perform these tasks:

  • Configure the group IP address as an iSCSI discovery address on the computer.
  • Store the CHAP user name and password for Microsoft service (VSS or VDS) access to the group on the computer, and create a corresponding VSS/VDS access control record and local CHAP account in the group. In the group, you can view the VSS/VDS access control record by clicking:

    Group Configuration > VDS/VSS tab

    To display the local CHAP account in the group, click:

    Group Configuration > iSCSI tab

After you create a group, you can use the Group Manager GUI or CLI to create and manage volumes. If you are running Windows Server 2003 R2 SP2, by default, the wizard will launch Storage Manager for SANs (if it is installed), which also enables you to create and manage volumes.


Initializing an Array and Expanding a Group

Using the Remote Setup Wizard, you can initialize a PS Series array and add the array to an existing group. In addition, the wizard will configure the group IP address as an iSCSI discovery address on the computer.

Note: If the Remote Setup Wizard is interrupted while initializing an array and the operation fails, you must reset the array before running the wizard again. To reset an array, connect the serial cable that was shipped with the array to the active control module and to a console terminal or a computer running a terminal emulator. Then, enter the reset command.

Before you initialize an array and expand a group, gather the information about the array configuration, as described in Array Configuration. You will also need the group name, IP address, and membership password, as described in Group Configuration. The Remote Setup Wizard will prompt you for this information. Consult your network administrator for the necessary IP addresses.

Follow these steps to initialize an array and expand an existing group:

  1. Start the Remote Setup Wizard, as described in Launching the Remote Setup Wizard.

2. In the Welcome dialog box, shown in Remote Setup Wizard - Welcome, choose to initialize an array and click Next.

Note: If no arrays appear, click the Rediscover button. If arrays still do not appear, be sure you meet the requirements described in Remote Setup Wizard Computer and Group Requirements. In addition, see Troubleshooting Remote Setup Wizard.

3. Select the array you want to initialize, as shown in Remote Setup Wizard - Select an Array to Initialize, and click Next.

4. Enter the array network configuration in the Initialize an Array dialog box, as shown in Remote Setup Wizard - Initialize an Array. This is the information described in Array Configuration. Click a field name link to display help on the field. In addition, choose to add the array to an existing group. Then, click Next.

Remote Setup Wizard - Initialize an Array

5. Enter the group name and IP address and the membership password in the Joining a Group dialog box, as shown in Remote Setup Wizard - Joining a Group and click Next.

Remote Setup Wizard - Joining a Group

6. When the initialized array successfully joins the group, the following screen appears (Member Successfully Added to Group).

Member Successfully Added to Group

Click Yes to open the Group Manager GUI immediately so you can configure a RAID policy for the new member, or click No if you will configure RAID later.

7. When the Finish dialog box appears (Remote Setup Wizard - Finish ), you can:

    • Click View Log to display a summary of the configuration.
    • Click Next to initialize another array and add it to the group.
    • Click Finish to complete the configuration and exit the wizard.

Remote Setup Wizard - Finish

When you exit the wizard, it will configure the group IP address as an iSCSI discovery address on the computer, if not already present.

Note: After you add an array to an existing group, you must use the Group Manager GUI or CLI to set the RAID policy for the new group member. For more information, see the Group Administration or CLI Reference manual.

After you join a group, you can use the Group Manager GUI or CLI to create and manage volumes. If you are running Windows Server 2003 R2 SP2, the wizard will launch Storage Manager for SANs by default (if it is installed), which also enables you to create and manage volumes.


Enabling Computer Access to a Group

You can use the Remote Setup Wizard to enable Windows computer access to a PS Series group. You can also use the wizard to modify existing group access information on a computer (for example, if the group IP address changed).

Note: When you create a group using the Remote Setup Wizard, computer access to the group is automatically configured. This section applies only if you used Remote Setup Wizard on a different computer to create the group, or created the group through the serial cable instead of Remote Setup Wizard.

When you use the Remote Setup Wizard to enable computer access to a group, the wizard will perform the following tasks on the computer:

  • Configure the group IP address as an iSCSI target discovery address. This enables the computer to discover volumes and snapshots (iSCSI targets) in the group.
  • Store the CHAP user name and password that allow Microsoft services (VDS or VSS) access to the group.

To enable computer access to a group or modify existing group access information, follow these steps:

  1. Obtain the following information:
    • Name and IP address of the group.
    • CHAP user name and password already configured in the group for Microsoft service (VSS or VDS) access to the group. To use the Group Manager GUI to display the VSS/VDS access control record, click:

      Group Configuration > VSS/VDS tab

      To display the local CHAP account in the group, click:

      Group Configuration > iSCSI tab

2. Launch the Remote Setup Wizard, as described in Launching the Remote Setup Wizard.

3. In the Welcome dialog box, shown in Remote Setup Wizard - Welcome, choose to configure the computer to access a SAN (the group) and click Next.

4. In the Configuring Group Access dialog box (Remote Setup Wizard - Configuring Group Access), do one of the following:

    • To add a group that the computer can access, click Add Group.
    • To modify existing group access credentials, select the group and click Modify Group.

Remote Setup Wizard - Configuring Group Access

5. The Add or Modify Group Information dialog box appears (Remote Setup Wizard - Add or Modify Group Information).

Remote Setup Wizard - Add or Modify Group Information

Specify or modify the group name and IP address, as needed.

If the group is configured to allow Microsoft service (VDS or VSS) access to the group through CHAP, specify the CHAP user name and password that matches the VSS/VDS access control record and local CHAP account already configured in the group.

Finally, if the PS Series group is configured to restrict discovery based on CHAP credentials, click the checkbox next to Use CHAP credentials for iSCSI discovery. If not, do not check this box.

Then, click Save.

6. In the Configuring Group Access dialog box (Remote Setup Wizard - Configuring Group Access), click Finish to complete the operation.


Disabling Microsoft Service Access to a Group

You can use the Remote Setup Wizard to disable access to a PS Series group by all Microsoft services (VSS and VDS) running on a computer. If you do this, the computer will not be able to use VDS to create volumes or use VSS to create smart copies in the group.

Alternately, you can disable a specific Microsoft service’s ability to access a group. To do this, run the installation program and deselect the components you want removed.

Follow these steps to disable all Microsoft service access to a group:

  1. Launch the Remote Setup Wizard, as described in Launching the Remote Setup Wizard.
  2. In the Welcome dialog box, as shown in Remote Setup Wizard - Welcome, choose to configure the computer to access a SAN (the group). Then, click Next.
  3. In the Configuring Group Access dialog box (Remote Setup Wizard - Configuring Group Access), select the group and click Remove Group.
  4. Confirm that you want to remove access to the group.
  5. In the Configuring Group Access dialog box, click Finish to complete the operation.


Using the Multipath I/O DSM

The Multipath I/O (Device Specific Module) enables you to easily configure redundant network paths from a Windows computer to PS Series volumes for highly-available and high-performance access to data. Not only can the DSM detect network disruptions and fail over I/O to a functioning path in the event of a failure, it provides robust load balancing capabilities.

In this section:

Introduction to Multipath I/O

Multipath I/O Computer and Group Requirements

Configuring Multipath I/O Between a Computer and a Group

Logging into a Volume with Multipath I/O

Logging Off a Volume with Multipath I/O


Introduction to Multipath I/O

To support the needs of users and customers, today’s businesses must ensure that applications run continuously and reliably, with the performance needed to meet workload demands. Typical solutions involve redundant storage hardware and RAID technology. In addition, when using a SAN, the path between applications and storage is a crucial element that also must be protected from failure.

Using the Multipath I/O DSM can increase both data availability and I/O performance. On the Windows computer, the DSM coordinates activity between the MPIO drivers and PS Series group storage, maximizing the capabilities of both the operating system and the iSCSI SAN.

The Multipath I/O DSM delivers:

  • Automatic connection management
  • Increased computer bandwidth
  • Increased volume bandwidth
  • Reduced network latency
  • Automatic failure detection and failover to a functioning path
  • Automatic load balancing across paths
  • Support for multiple connections to a single iSCSI target (volume)
  • Easy installation
  • Support for a variety of iSCSI initiators

Multipath I/O Configuration shows a configuration that uses multipath I/O.

Multipath I/O Configuration

Designed to work with "plug and play" hardware, the Multipath I/O DSM is used in conjunction with the MPIO drivers and a PS Series group and has the ability to automatically detect and configure hardware. The MPIO drivers interact with the normal operating system drivers and with the DSM, which provides device initialization, request handling, and error handling.

When the Multipath I/O DSM is installed on a Windows computer, the operating system can correctly handle multiple paths to the same iSCSI target (PS Series volume). If a fatal path failure occurs, the problem is quickly detected, and I/O transparently fails over to a functioning path. The DSM can recognize and handle a variety of network and device errors and timeout conditions.

In addition, the Multipath I/O DSM provides load balancing capabilities that enable you to maximize I/O throughput and maintain a continuous level of service. The DSM supports Round Robin and Least Queue Depth (default) algorithms for load balancing across redundant paths.


Multipath I/O Computer and Group Requirements

The computer must meet the following requirements to use multipath I/O:

  • Windows Server 2003 R2 SP2, or Windows Server 2003 SP2.
  • Microsoft iSCSI Software Initiator v2.04.
  • At least two host adapters must be configured.
  • For greatest redundancy, each host adapter must be connected to a different network switch.

The PS Series group must meet the following requirements to use multipath I/O:

  • All group members (arrays) must be running PS Firmware version 3.2 with Patch L2, or higher.
  • Each group member must have at least two, and preferably three, connected and configured network interfaces.
  • For greatest redundancy, the network interfaces must be connected to different switches.


Configuring Multipath I/O Between a Computer and a Group

Follow these steps to configure multipath I/O between a computer and a group:

  1. Be sure you meet the requirements in Multipath I/O Computer and Group Requirements.
  2. Install the Remote Setup Wizard and the Multipath I/O DSM on the computer, as described in Installing the Host Integration Tools.
  3. Start the Remote Setup Wizard, as described in Launching the Remote Setup Wizard.
  4. In the Welcome dialog box, shown in Remote Setup Wizard - Welcome, select the option to configure MPIO settings and click Next.
  5. The Configure MPIO Settings dialog box (Remote Setup Wizard - Configure MPIO Settings) appears. By default, all host adapters on all subnets that are accessible by the PS Series group will be configured for multipath I/O. If you want to exclude a subnet, move it from the left panel to the right panel. Also, select whether you want to enable balancing the I/O load across the adapters.

Note: To exclude a specific IP address on a subnet, you must manually edit the registry variables. See the Host Integration Tools Release Notes for information on how to do this.

Remote Setup Wizard - Configure MPIO Settings

6. Click Finish to complete the multipath I/O configuration. Click Back to make changes.

Changes to the list of included or excluded subnets are effective immediately for new connections, while changes to existing connections may take several minutes.


Logging into a Volume with Multipath I/O

After you configure multipath I/O and create volumes on the PS Series group, you can connect to those volumes and enable multipathing to the volumes.

To log in to a volume and configure multiple connections:

  1. Start the iSCSI Initiator Properties control panel.
  2. After discovering the group targets, click the Targets tab, select the target, and click Log On.
  3. In the Log On to Target dialog box, click Enable multi-path.

    If you need to enter CHAP credentials, click Advanced, enter the information, and click OK.
  4. In the Log On to Target dialog box, click OK.

After logging in, the Multipath I/O DSM will automatically create additional connections to the target.

To display the connections to a target and, optionally, change the default load balancing policy:

  1. In the initiator control panel, click the Targets tab, select the target, and click Details.
  2. In the Target Properties dialog box, click the Sessions tab.
  3. Click Devices and then Advanced.
  4. Click the MPIO tab to display the connections.

Note: If the MPIO tab does not appear in the initiator control panel, you may not have selected MPIO support when installing the initiator, or you may need to reboot the computer to complete the installation.

5. Optionally, to change the default load balancing policy, choose the policy from the drop-down list.


Logging Off a Volume with Multipath I/O

To log off a volume with multiple connections, you must select and log out of each connection session:

  1. Click the Targets tab, select the target, and click Details.
  2. In the Target Properties dialog box, click the Sessions tab.
  3. Select each session and click Log Off.


Troubleshooting Remote Setup Wizard

If the Remote Setup Wizard is not able to discover any arrays, you may be able to solve the problem as follows:

  • Make sure that the computer is connected to the same Ethernet segment as the array. In addition, ensure that Layer 2 multicasting is not blocked between the array and computer. You can also use an RJ45 network cable to directly connect the computer to Ethernet Port 0 on the uninitialized PS Series array.
  • Check that Ethernet Port 0 on the PS Series array is connected to the network and can be reached by the computer. Verify that the LNK LED for Ethernet Port 0 is green.
  • Ensure that the array is powered on and not initialized.


Auto-Snapshot Manager

Auto-Snapshot Manager enhances backup operations on Microsoft® Windows® computers using a PS Series group (SAN).

Auto-Snapshot Manager topics include the following:

  • Introduction to Auto-Snapshot Manager
  • Auto-Snapshot Manager Capabilities
  • Preparing to Use Auto-Snapshot Manager
  • Starting and Configuring the ASM GUI
  • Creating Collections
  • Managing Smart Copies
  • Accessing Data in a Smart Copy Set
  • Managing Smart Copies Using the Group Manager
  • Creating Smart Copy Sets from a Script
  • Troubleshooting Auto-Snapshot Manager

To install the Auto-Snapshot Manager, see Host Integration Tools Installation. See the Host Integration Tools Release Notes for the latest information about Auto-Snapshot Manager.

In this section:

Introduction to Auto-Snapshot Manager

Auto-Snapshot Manager Capabilities

Preparing to Use Auto-Snapshot Manager

Starting and Configuring the ASM GUI

Creating Collections

Managing Smart Copies

Accessing Data in a Smart Copy Set

Managing Smart Copies Using the Group Manager

Creating Smart Copy Sets from a Script

Troubleshooting Auto-Snapshot Manager


Introduction to Auto-Snapshot Manager

For most businesses, backing up data is an essential—but difficult—endeavor. Unless backups are performed regularly and faultlessly, the recovered data may not be usable. Some backup solutions require you to close files or shut down applications, and—in a 24x7 world—backup windows are shorter than ever.

The proliferation of heterogeneous storage configurations makes backup and restore operations even more complex.

Microsoft Volume Shadow Copy Service (VSS) for Windows Server 2003 delivers a framework for backing up and restoring data in a Windows Server 2003 environment. With VSS, you can create fast, coordinated shadow copies of application data, ensuring that the backed-up data can be easily restored and used for recovery.

VSS requires several components:

  • Requestor, usually a backup application, which requests the creation of shadow copies and provides an interface for backing up and restoring data.
  • Writer, integrated with the application, which prepares the application for the backup operation.
  • Provider, which performs the actual backup operation (for example, storage array hardware).

Auto-Snapshot Manager supports VSS and enables you to instantly create point-in-time, consistent copies of data in a PS Series group—while applications remain online and with no impact on performance. The backup window is minimized, and the data is always consistent and usable.

A PS Series group can be used to store both application data and backup data for fast, space-efficient backups. PS Series volumes can also be used as disk backup media for high performance backups. Backup applications can copy the data to permanent backup media. Applications remain online and there is no impact on performance. The backup window is minimized, and the backed-up data is always consistent.


Auto-Snapshot Manager Capabilities

Auto-Snapshot Manager provides a VSS provider and a VSS requestor and is used in conjunction with a PS Series group (iSCSI SAN). With Auto-Snapshot Manager, you can instantly back up objects comprised of volumes (iSCSI targets) in the group. For example, you can back up a single volume or an entire database consisting of multiple volumes.

The Auto-Snapshot Manager VSS provider can also be deployed with a backup application that is a full-fledged VSS requestor.

Auto-Snapshot Manager provides three types of operations (called smart copy operations) for protecting data:

  • Snapshot. Creates a point-in-time copy of a PS Series volume, using a copy-on-write algorithm (sometimes called a differential copy).
  • Replica. Creates a point-in-time copy of a PS Series volume, using a copy-on-write algorithm, but the original volume and the replica are located on different PS Series groups. The groups and the volume must be configured for replication.
  • Clone. Creates a new volume containing the same data as the original volume at the time the clone is created (sometimes called a plex).

You can use Auto-Snapshot Manager to perform smart copy operations on the following objects:

  • Volumes
  • Applications consisting of multiple components (volumes or databases)
  • Collections of volumes or application components

The result of performing a smart copy operation is a smart copy set, which consists of one or more snapshots, replicas, or clones, depending on the type of smart copy operation performed and the contents of the object.

For example, performing a snapshot smart copy operation on a volume results in a smart copy set consisting of one snapshot, while performing a snapshot smart copy operation on a collection consisting of two volumes results in a smart copy set comprising two snapshots (one for each volume).

In addition, you can schedule snapshot and replica smart copy operations.

Auto-Snapshot Manager also enables you to:

  • Receive e-mail notification when scheduled smart copy operations complete or fail.
  • Import and mount a smart copy set to access its data. The mounted smart copy set will then appear as a regular disk. Data can then be copied from the disk, as needed (for example, by a backup application).
  • Restore the original object from a smart copy set.
  • Create collections for volumes that you consistently create smart copies of. This ensures that all the smart copies are created simultaneously in one operation.
  • Restore a transportable smart copy set to a different computer, providing the computer has the correct access credentials.

You can use either the Auto-Snapshot Manager interface or the PS Series Group Manager to view the snapshots, replicas, and clones created by a smart copy operation.


Preparing to Use Auto-Snapshot Manager

Before you begin using Auto-Snapshot Manager to create and manage smart copies, follow these general steps:

  1. Install Auto-Snapshot Manager on a computer that meets the requirements in Auto-Snapshot Manager Computer and Group Requirements. See Host Integration Tools Installation for installation information.
  2. Create a PS Series group (either through Remote Setup Wizard or through the serial cable and the setup utility).
  3. Create volumes on the PS Series group, as needed.
  4. Configure the correct access control records between the volumes and the group and the computer. See Setting Up Access Controls.
  5. Connect to the volumes through an iSCSI initiator. See Connecting to an iSCSI Target.
  6. Make the volumes accessible to the computer, by assigning them a drive letter and, if necessary, creating a partition on the drives, through Windows Disk Management. See Assigning a Drive Letter to the Volume.
  7. Start using the volumes for applications. For example, configure Microsoft Exchange or a SQL database on the volumes (drives). Be sure to read Important Information About Using Volumes for Multiple Databases.

Now you can use Auto-Snapshot Manager to create and manage snapshots, replicas, or clones of the volumes, and to restore data from smart copy sets.

In this section:

Auto-Snapshot Manager Computer and Group Requirements

Important Information About Using Volumes for Multiple Databases

Setting Up Access Controls

Connecting to an iSCSI Target

Assigning a Drive Letter to the Volume


Auto-Snapshot Manager Computer and Group Requirements

The Windows computer on which you want to run Auto-Snapshot Manager must meet the following requirements to create smart copies in a PS Series group:

  • Operating system. Microsoft Windows Server 2003 SP2, Windows Server 2003 R2 SP2, or a later version.
  • iSCSI initiator. You can use the following initiators:

    • - Microsoft iSCSI Software Initiator Version 2.04. The Microsoft iSCSI Software Initiator Version 2.04 is located on the Host Integration Tools kit, and is available on the Microsoft website.

    - QLogic QLA4010 iSCSI initiator HBA with firmware 3.0.0.16 and BIOS 1.11, with STOR miniport driver version 2.1.3.28.

    - QLogic QLA4050 or 4052 iSCSI initiator HBA with firmware 2.0.0.45 and BIOS 1.09, with STOR miniport driver version 2.1.3.28.

    - You may also need the SANsurfer Control iX Version 4.01.00.

  • Microsoft iSCSI Software Initiator (service portion). You must install the service portion of the Microsoft iSCSI Software Initiator Version 2.04, even if you are not using the initiator for iSCSI traffic. Version 2.04 is located on the Host Integration Tools kit, and is available on the Microsoft website.
  • Microsoft server (VSS or VDS) access to the group. Microsoft services running on the system must have access to the group. See Configuring Microsoft Service Access to the Group for more information.
  • iSCSI access to the volumes. The system must have the group IP address configured as an iSCSI discovery address. In addition, to connect to an iSCSI target associated with a volume or snapshot, the system must match one of the volume’s access control records configured in the group. See Configuring Access to Volumes and Snapshots for information on setting up access control records in a group.

The PS Series group must meet the following requirements for use with Auto-Snapshot Manager:

  • PS Series group running at least Firmware Version 3.2 with Patch L2, or higher.
  • Volumes with snapshot reserve. Volumes must have snapshot space reserved in order to create snapshots.
  • Replication configuration. To create volume replicas, you must have the group and volume configured for replication.


Important Information About Using Volumes for Multiple Databases

Smart copy operations are done on a per-volume basis. It is recommended that you place a database and its log on separate volumes, created for their exclusive use. When you create a smart copy of a database (application components), all the necessary volumes will be included in the operation.

We further recommend that you do not place files for multiple databases on the same volume, if those databases also span other volumes.

This is because if you share a volume among different databases or logs, and then perform a smart copy operation on all the application components for one database, the resulting smart copy set will contain all the data needed to restore that database, plus partial data for another database. The smart copy set is considered "torn" (incomplete) with respect to the partial database.

For example, consider the configuration shown in Complete Smart Copy Set .

Complete Smart Copy Set

If you perform a smart copy operation on the application components for Dbase3 (VolD and VolE), you have a complete smart copy set from which you can restore Dbase3.

Now consider the configuration shown in Torn Smart Copy Set.

Torn Smart Copy Set

If you perform a smart copy operation on the application components for Dbase1 (VolA and VolB), you have a complete smart copy set for Dbase1. However, the smart copy set will be incomplete ("torn") with respect to Dbase2, because it does not contain all the files for the Dbase2 database. Therefore, you cannot use the smart copy set to restore Dbase2.

Also, if you use the smart copy set to restore all the databases, you will overwrite the partial files for Dbase2 that are included in the smart copy set. If you have a torn smart copy set, you can instead perform a selective restore for only those databases that are complete in the smart copy set. This method can take longer to restore depending on the size of the files being copied from the smart copy set, but will protect the files of Dbase2 from being damaged.


Setting Up Access Controls

The best way to ensure that you have the correct access controls between a computer and a group is to use the Remote Setup Wizard to create the group. Or, if you have an existing group, use the Remote Setup Wizard to configure computer access to the group.

Auto-Snapshot Manager requires the following access controls:

  • Group IP address as iSCSI target discovery address. This enables the computer to discover targets presented by a PS Series group. The group IP address must be configured as a discovery address in the iSCSI initiator management interface. You can do this in one of the following ways:
    • Use the Remote Setup Wizard to create a group, which also configures the group IP address as the Discovery address. See Initializing an Array and Creating a Group for more information.
    • Use the Remote Setup Wizard to configure computer access to a group. See Enabling Computer Access to a Group for more information.
    • Manually add the group IP address to the initiator Discovery list.
  • VSS/VDS access. Microsoft services running on a computer must be able to automatically log in to the vss-control volume on the system. A VSS/VDS access control record must exist on the group, and the computer must have access credentials, configured through Remote Setup Wizard or Auto-Snapshot Manager, that match the record. Usually, CHAP credentials are used.

    See Configuring Microsoft Service Access to the Group for more information.
  • Volume access. If you will be creating smart copies of a volume, the computer must be logged in to the volume. To do this, the computer must present credentials that match one of the volume’s access control records. If CHAP is used, you must specify the CHAP credentials when logging in to the volume.

    If the volume was created using Storage Manager for SANs, the access controls between the computer and target are set up automatically.

    See Configuring Access to Volumes and Snapshots for more information.
  • Global smart copy access on other computers. If you plan to transport smart copies to a computer that is different than the one that created the smart copies, you can set up access controls that enable other computers to access the smart copies.

    Specify the global smart copy access credentials using the Auto-Snapshot Manager CHAP Properties dialog box. See Setting Up Global Imported Smart Copy Credentials for more information.
  • Smart copy access on the computer. When a computer attempts to import a smart copy, it must automatically present credentials that match one of the smart copy’s access control records.

    Specify the smart copy access credentials using the Auto-Snapshot Manager CHAP Properties dialog box. When performing this task on a computer that did not create the smart copy, use the same CHAP credentials set for global smart copy access on the originating computer. See Setting Up Imported Smart Copy Credentials for more information.
    • In this section:

    Configuring Microsoft Service Access to the Group

    Configuring Access to Volumes and Snapshots


Configuring Microsoft Service Access to the Group

If a computer will be creating or importing smart copies, Microsoft services (VSS and VDS) that are running on the computer must be able to access the group for management purposes, without user intervention.

In a group, VSS/VDS access control records are used to restrict Microsoft service access to the group, according to IP address, iSCSI initiator name, CHAP user name and password, or any combination of the three. A computer must meet all the requirements in one record in order for Microsoft services to access the group.

There are two ways you can ensure Microsoft service access to a group:

  • Use the Remote Setup Wizard on the computer to initialize an array and create a new group. See Initializing an Array and Creating a Group for more information.

    The wizard will set up a VSS/VDS access control record and local CHAP account in the group and also configure matching CHAP credentials on the computer.
  • Use the Remote Setup Wizard to configure computer access to an existing group. You will be prompted for the CHAP credentials. See Enabling Computer Access to a Group for more information.


Configuring Access to Volumes and Snapshots

A computer must be connected (logged in) to the PS Series group volumes for which it will be creating smart copies. For example, use the iSCSI initiator control panel to log in to the volume. If CHAP is used for authentication, you must supply this information when logging in to the volume.

In addition, when a computer imports a smart copy set, it must be able to connect (log in) to it. However, this must occur without user intervention.

Note: In order for a computer to discover the iSCSI targets (volumes or snapshots) in a group, you must configure the group IP address as the iSCSI discovery address. You can run the Remote Setup Wizard on the computer to initialize an array and create or expand a group or to configure computer access to the group. You can also specify the iSCSI discovery address by using the iSCSI initiator control panel.

A group uses access control records to restrict computer access to a volume or its snapshots. A record (up to 16 for a volume and its snapshots) can restrict access according to IP address, initiator name, CHAP user name (and password), or any combination of the three. A computer must meet all the requirements in a record in order to access the volume or snapshot.

A volume and its snapshots share a list of access control records. A record can apply to the volume, the volume snapshots, or both. For example, you could create one record that allows access only to the volume and create another record that allows access only to the volume snapshots.

There are two methods for ensuring computer access to a volume or its snapshots:

  • If you create a volume with Storage Manager for SANs, it automatically sets up matching access controls in the group and on the computer. No further action is needed to ensure computer access to the volume or its snapshots.
  • If you create a volume with the Group Manager GUI or CLI, you must manually set up one or more access control records that enable computer access to the volume or its snapshots. Also, if you are using CHAP to restrict computer access, you must set up a local CHAP account or configure a RADIUS server that already has the CHAP account configured. See the PS Series Group Administration manual for more information about setting up access control records and creating local CHAP accounts.

    On the computer, if CHAP is required for computer access to the volume, you can supply the CHAP user name and password in the iSCSI initiator control panel when logging in to the volume. If CHAP is required for computer access to volume snapshots (for importing), you must use the Auto-Snapshot Manager to specify the CHAP user name and password. The computer will automatically use this CHAP user name and password when importing any smart copies from the group. See Setting CHAP Properties for more information.


Connecting to an iSCSI Target

Use the iSCSI initiator console to log in to a PS Series group volume or snapshot (iSCSI target). For discovery, the group IP address must be configured as the iSCSI target discovery address.

To log in to a volume, the computer must match an access control record that is configured in the group, as described in Configuring Access to Volumes and Snapshots. If access to the volume is being authenticated with CHAP, enter the correct CHAP user name and password in the iSCSI initiator console when logging in to the volume. See Logging into a Volume with Multipath I/O for more information.

Once you are logged in to a volume, the volume appears as a regular iSCSI disk.


Assigning a Drive Letter to the Volume

Use the Disk Management Windows utility to assign a drive letter to a volume and make it accessible to the computer as follows:

  • Right-click My Computer, select Manage, and under Storage, click Disk Management.

Use your database application to create a database on one or more volumes (drive letters).

Note: We strongly recommend following best practices when configuring databases on volumes. See Important Information About Using Volumes for Multiple Databases for more information.


Starting and Configuring the ASM GUI

To start the Auto-Snapshot Manager (ASM) GUI, click:

Start > Programs > EqualLogic > Auto-Snapshot Manager

The main Auto-Snapshot Manager GUI window appears (Auto-Snapshot Manager GUI).

Auto-Snapshot Manager GUI

When you select an item in the far-left panel, detailed information appears in the center panel, and related tasks appear in the far-right panel.

You can set the following properties for the Auto-Snapshot Manager:

  • General properties — Enables you to choose the default location of backup documents and collection files and whether to automatically validate the smart copies when Auto-Snapshot Manager is started. See Setting General Properties.
  • CHAP properties — Enables you to specify CHAP credentials for VSS or VDS access to groups and computer access to smart copies for importing. See Setting CHAP Properties.
  • Backup properties — Enables you to specify the default smart copy operation. See Setting Backup Properties.
  • Notification properties — Enables you to specify where to send e-mail notification of completed scheduled tasks. See Setting Notification Properties.
    • In this section:

    Setting General Properties

    Setting CHAP Properties

    Setting Backup Properties

    Setting Notification Properties

    Customizing the Auto-Snapshot Manager Console

    Navigating the Auto-Snapshot Manager GUI


Setting General Properties

Each smart copy set and each collection has a corresponding descriptive backup document that is used for transporting and importing smart copies. You can specify the location for the directory that will store these documents.

If you will be transporting smart copies, consider specifying a shared file system accessible to all the computers that will be importing smart copy sets.

To change the default location of backup documents, select Auto-Snapshot Manager in the far-left panel and click Properties.

The Auto-Snapshot Manager Properties dialog box appears, with the General tab active by default (Auto-Snapshot Manager Properties - General).

Auto-Snapshot Manager Properties - General

If desired, change the default location of backup documents and custom collections.

You can also specify whether to automatically validate the smart copies when Auto-Snapshot Manager is started. Validation verifies that the smart copies described in the backup documents still exist on the PS Series group.

Note: You can use Auto-Snapshot Manager to set VSS provider properties even if you are using a third-party backup application as a VSS requestor.

Click OK when you are finished.


Setting CHAP Properties

To set CHAP properties, including CHAP credentials for VSS or VDS access to groups and computer access to smart copies for importing, select Auto-Snapshot Manager in the far-left panel and click Properties. Then, click the CHAP tab (Auto-Snapshot Manager Properties - CHAP).

Auto-Snapshot Manager Properties - CHAP

The CHAP Properties dialog box shows the groups that the computer can access.

  • Global smart copy access refers to access controls that allow other computers to access (import) smart copies created on this computer. See Setting Up Global Imported Smart Copy Credentials for more information.
  • For each group, VDS/VSS access refers to the CHAP credentials that Microsoft services running on the computer use to access the group. If credentials have not been specified, not set appears. See Setting Up VSS/VDS Credentials for more information.
  • For each group, Smart copy access refers to the CHAP credentials that this computer must present to access (import) smart copies. If credentials have not been specified, not set appears. See Setting Up Imported Smart Copy Credentials.
    • In this section:

    Setting Up Global Imported Smart Copy Credentials

    Setting Up VSS/VDS Credentials

    Setting Up Imported Smart Copy Credentials


Setting Up Global Imported Smart Copy Credentials

When a computer imports a smart copy, it must automatically present credentials that match one of the smart copy’s access control records. Auto-Snapshot Manager enables you to set up access controls that allow other computers to import smart copies. An additional access control record will be created with the specified CHAP credentials, and the record will be applied to all smart copies created by the originating computer.

Set these credentials only if you want to transport smart copies to a different computer than the one that created them. The importing computer will be required to use the global access credentials in the access controls for importing smart copies, as described in Setting Up Imported Smart Copy Credentials.

To specify the CHAP credentials for global access, select Auto-Snapshot Manager in the far-left panel and click Properties.

Then, click the CHAP tab (Auto-Snapshot Manager Properties - CHAP). Select Global smart copy access and then click Modify.

Specify a CHAP user name and password in the Global Smart Copy Access Credentials dialog box (Global Smart Copy Access Credentials ). The password contains 12 to 16 alphanumeric characters.

Global Smart Copy Access Credentials

Click OK when you are finished.

This will automatically set up a new access control record with these credentials for each smart copy that the computer creates.

CHAP must be configured on the group, either locally or through a RADIUS server. See the PS Series Group Administration manual for information about setting up CHAP.


Setting Up VSS/VDS Credentials

Microsoft services running on a computer must be able to automatically log in to the vss-control volume on the system. A VSS/VDS access control record must exist in the group, and the computer must have access credentials that match the record. Usually, CHAP credentials are used.

Note: If you used the Remote Setup Wizard to create a group or set up computer access to the group, VSS/VDS access between the computer and group is already set up.

To set or modify VSS/VDS CHAP credentials, select Auto-Snapshot Manager in the far-left panel and click Properties.

In the Auto-Snapshot Manager Properties dialog box (Auto-Snapshot Manager Properties - CHAP), click the CHAP tab, and click Add group.

The VDS/VSS Access Credentials dialog box appears (Smart Copy Access Credentials).

VDS/VSS Access Credentials - New Group

Enter the group name and the CHAP user name and password that Microsoft services running on the computer will use to access the group. Use only alphanumeric characters. Be sure the CHAP user name and password match a VSS/VDS access control record and CHAP account in the group. The CHAP password must contain 12 to 16 alphanumeric characters.

Click OK to store the Microsoft service access credentials for group access.

To modify the existing user name or password used by Microsoft services, select the group, click VDS/VSS access, then click Modify.

VSS/VDS Access Credentials - Modify

In the VDS/VSS Access Credentials dialog box, change the CHAP user name and password, as necessary. Click OK when you are finished.

See the PS Series Group Administration manual for information about setting up VSS/VDS access control records.


Setting Up Imported Smart Copy Credentials

When a computer imports a smart copy using Auto-Snapshot Manager, it must automatically present credentials that match one of the smart copy’s access control records, without user intervention.

To specify CHAP credentials for smart copy access, select Auto-Snapshot Manager in the far-left panel and click Properties.

In the Auto-Snapshot Manager Properties dialog box, click the CHAP tab (Auto-Snapshot Manager Properties - CHAP).

Under the group, select Smart copy access and then click Modify. In the Smart Copy Access Credentials dialog box (Smart Copy Access Credentials), specify the CHAP user name and password. The password must contain 12 to 16 alphanumeric characters. The name and password must match an access control record for each smart copy you want this computer to import.

Note: If this is not the computer that created the smart copies, you must specify the same CHAP user name and password that was configured for global smart copy access on the originating computer.

Smart Copy Access Credentials

Click OK when you are finished.


Setting Backup Properties

Backup properties are used when you create a smart copy set, either manually or through a schedule.

To set default backup properties, including the default smart copy type and application behavior, select Auto-Snapshot Manager in the far-left panel and click Properties. Then, click the Backup tab (Auto-Snapshot Manager Properties - Backup ).

Auto-Snapshot Manager Properties - Backup

Specify whether you want the default smart copy operation to create a snapshot or a clone.

In addition, specify the default application behavior that you want to occur prior to the smart copy operation, either copy or full. This determines the effect of the smart copy operation on the application log:

  • A copy backup will have no effect on application log files, and is intended simply to create a copy of the data.
  • A full backup issues a checkpoint on the log file, and informs the application that there was a backup event on the database.

The actual behavior is application dependent.

Note: You can choose a different smart copy type and backup type at the time you create a new smart copy.


Setting Notification Properties

If you set up schedules for smart copy operations, you can be notified when scheduled operations complete or fail. See Scheduling Smart Copy Operations for information on creating schedules.

To set up e-mail notification, select Auto-Snapshot Manager in the far-left panel and click Properties. Then, click the Notification tab (Auto-Snapshot Manager Properties - Notification).

Auto-Snapshot Manager Properties - Notification

Specify the following information:

  • SMTP server that will be used to handle e-mail.
  • "From" address to use in the e-mail (optional). The From address can be any name you want, to help you (or the recipients) easily identify the source. It can be the name of the Windows server running Auto-Snapshot Manager, or the PS Series group name, or any other name you want to create, followed by the e-mail domain.
  • Comma-separated list of e-mail addresses to which notification notices will be sent.
  • Subject for the e-mail.
  • Whether to send notification when tasks complete or when tasks fail, or both.
  • Optionally, click Apply to apply the changes, then click Send Test E-mail to test the configuration.

Click OK when you are finished.


Customizing the Auto-Snapshot Manager Console

You can change the way the Auto-Snapshot Manager console appears. For example, you can set the console mode, rename the console, and display or hide the Actions panel, among other options.

You can save the Auto-Snapshot Manager console settings by exporting them to a file.

Note: The Auto-Snapshot Manager is a snap-in application that runs in the context of a Microsoft Management Console (MMC) GUI. Some menu items apply to MMC, but not to Auto-Snapshot Manager. The following procedures discuss only the Auto-Snapshot Manager-specific menus and customizations.

To customize the view, click View > Customize.

The Customize View dialog box is displayed (Customize View ).

Customize View

This dialog box lets you choose which components of the console window to display or not. You can also select which snap-ins to display. When you are done, click OK.

Alternatively, in the main console window you can show or hide the console tree or the Actions panel by clicking the Show/Hide Console Tree icon ( [image]) or the Show/Hide Action Pane icon ( [image]).


Navigating the Auto-Snapshot Manager GUI

The Auto-Snapshot Manager GUI components tree is shown in the far-left panel (Auto-Snapshot Manager Components Tree ).

Auto-Snapshot Manager Components Tree

Double-click a component to expand it. You can also expand some subcomponents. Information about a selected component appears in the center panel.

For each component (for example, a volume or collection) you can:

  • Right-click the component to display a menu of related tasks.
  • Select the component to see the related tasks in the Actions panel.

Depending on the selected component, a refresh icon may also appear. When you perform tasks using Auto-Snapshot Manager (for example, importing smart copies), you may need to refresh the window to see the results.

Note: The Refresh operation is context-dependent. For example, if you select Volumes in the far-left panel and click Refresh, only the list of volumes is refreshed. Similarly, if you select Smart Copies in the far-left panel and click Refresh, only the list of smart copies is refreshed.

To refresh the entire Auto-Snapshot Manager GUI, click Auto-Snapshot Manager (the top-most item) in the far-left panel, then click Refresh.

Auto-Snapshot Manager components are as follows:

  • Applications. Installed applications for which a VSS writer is available. You can create simultaneous smart copies of all the application components (for example, all the volumes used by a database) or a specific component.
  • Volumes. Disks connected to the computer, including PS Series volumes that are assigned a drive letter.

    Select a drive letter to display detailed information about the disk, including whether it supports smart copies. You can create a snapshot, replica, or clone, or create a schedule for the volume. Note that you cannot perform smart copy operations on a CD-ROM disk, floppy disk, or system disk.
  • Collections. Predefined disk collections and any collections you create. Collections enable you to create smart copies of multiple volumes or application components simultaneously. Expand a collection to display the volumes or application components that comprise the collection. Currently, the only predefined collection consists of all the volumes that support smart copies.

    You can create, modify, or delete a collection, create a smart copy set for the collection, or configure a schedule for the collection. You cannot modify or delete a predefined collection.
  • Schedules. Designated times, dates, and frequency for creating smart copies. You can create, run, modify, or delete a schedule.
  • Smart Copies. Smart copy sets for individual volumes, collections, and applications. Depending on the type of smart copy set, you can import, mount, or restore from it. You can also delete a smart copy set, display the backup document for the set, or validate all smart copy backup documents.

    Smart copy sets are organized under the original object (volume, collection, or application components). Each smart copy set is assigned a timestamp. The replicas, clones, or snapshots in the set also have a timestamp.
  • Customer Support. Click this component to open a browser window and navigate to the Technical Support website.


Creating Collections

Auto-Snapshot Manager enables you to define a logical collection of volumes, applications, or application components. You can then perform smart copy operations on the entire collection.

Caution: Be careful when selecting the components of a collection. We recommend creating collections only for objects that are logical to restore as a group; for example, all the application components for a database.

Avoid creating collections that contain volumes for multiple databases, or collections that include database volumes and volumes used by other, unrelated applications.

Make sure your collections support your intended backup and restore plans.

Auto-Snapshot Manager provides a predefined collection called All Supported Volumes, which includes all the PS Series volumes on the system that support smart copies. To display the contents of the predefined collection, expand Collections and select All Supported Volumes. You cannot modify or delete a predefined collection.

Predefined Collection Contents

To create a collection, right-click or select Collections in the left panel and select Create Collection. The Create New Collection – Name dialog box appears (Create New Collection – Name), the first in a series.

Create New Collection – Name

Specify a unique name for the collection and click Next.

The Create New Collection – Components window appears (Create New Collection – Components).

Create New Collection – Components

Select the volumes or application components to include in the collection. Only volumes that support smart copies can be included in a collection.

If you select an application or one or more of its components in the Applications panel, all the related volumes are selected automatically, and their boxes are checked. You cannot unselect them. However, you can add individual volumes to the collection, or unselect the application and choose a different one, or choose volumes individually.

Note: If you select volumes individually but do not select all the volumes used by an application, you risk creating a torn smart copy when you create a smart copy set of the collection. See Important Information About Using Volumes for Multiple Databases. You can modify a collection at any time, to add the remaining volumes used by an application or remove unrelated or unwanted volumes.

After specifying the collection components, click Next. The Create New Collection – Summary window appears (Create New Collection – Summary), displaying the default settings that will be used when smart copies are created of the collection components.

Create New Collection – Summary

Click Finish to create the collection.

The new collection appears in the Auto-Snapshot Manager tree under Collections. Select the collection name to display details.

Once a collection is created, you can create smart copies of the collection volumes, as described in Creating Smart Copy Sets. Smart copy sets for collections are located under the collection name under Smart Copies in the left panel.

To modify or delete a collection, expand Collections and right-click the collection name. From the menu, select the desired task. You cannot rename a collection.


Managing Smart Copies

You can perform a snapshot-type smart copy operation on an individual volume, a collection, or an application. The resulting smart copy set will consist of one or more snapshots, replicas, or clones, depending on the type of smart copy operation and the original object.

Even if the smart copy operation involves only a single volume, the result is still considered a smart copy set.

You can then import and mount the smart copy set, restore the original object from the smart copy set, or restore the smart copy set to a new location.

You can create smart copy sets instantly at the current time or you can schedule the smart copy operation, as described in Scheduling Smart Copy Operations.

In this section:

Creating Smart Copy Sets

Scheduling Smart Copy Operations

Displaying Smart Copies


Creating Smart Copy Sets

Before you can create a smart copy set:

  • The computer must meet the requirements described in Auto-Snapshot Manager Computer and Group Requirements.
  • The computer must be logged in to each volume that comprises the object, as described in Connecting to an iSCSI Target.
  • The volumes must have drive letters assigned, as described in Assigning a Drive Letter to the Volume.
  • If you are creating a snapshot smart copy set, the PS Series volumes must have snapshot space reserved.
  • If you are creating a replica smart copy set, you must have replication configured between two PS Series groups and on the volumes.
  • If you are creating a clone smart copy set, there must be free space on the PS Series group equal to the size of the original volumes.

To create a smart copy set, in the far-left panel, select the original object, either a volume, collection, or application. Then, in the far-right panel, click Create Smart Copy Set. The Create Smart Copy dialog box appears (Create Smart Copy).

Create Smart Copy

Select the type of smart copy operation:

  • Snapshot. Creates a snapshot for each volume comprising the original object. For example, if the original object is a volume, the resulting smart copy set will contain one snapshot. If the original object consists of a collection of two volumes, the resulting smart copy set will contain two snapshots.
  • Clone. Creates a new volume (clone) for each volume comprising the original object.
  • Replica. Creates a replica snapshot for each volume comprising the original object on a PS Series group configured as a replication partner for the original volumes. Each volume that is part of the original object must already be configured for replication in the group.

In addition, specify the backup behavior type that you want to create, either copy or full. This determines the behavior of the smart copy operation on the application log file. The actual backup type and behavior is application dependent.

Optionally, enter text describing the smart copy set. This information will appear in the backup document.

Click Next and verify the settings displayed in the Summary screen (Create Smart Copy Set - Summary ).

Create Smart Copy Set - Summary

If the information is correct, click Finish. If not, click Back and make any changes.

After creating a smart copy set, you can display its details, as described in Displaying Smart Copies.

To access the data in the smart copy set, see Accessing Data in a Smart Copy Set.


Scheduling Smart Copy Operations

You can set up a schedule to perform snapshot and replica smart copy operations on a regular basis.

If you set up schedules for smart copy operations, you can be notified when scheduled operations complete or fail. See Setting Notification Properties for more information.

Select or right-click the object (application, collection, or volume) and click Configure New Schedule. If you do not have the notification settings configured, you will see a message asking if you want to configure these settings. You can choose not to configure notification (not recommended).

The Schedule Task dialog box appears (Schedule Task).

Schedule Task

Specify the schedule name and the frequency at which the schedule will run, either one time only, every day, every week, or monthly. In addition, you can configure the schedule to run multiple times during a single day.

Optionally, enter a comment about the schedule.

After choosing the frequency, click Next. A series of dialog boxes appear. Depending on the selected frequency, you can specify:

  • Start time and date to create the snapshots or replicas.
  • Days on which the schedule will run.
  • Months during which the schedule will run.
  • When to repeat the schedule during the day.
  • Start and end date for the schedule.
  • Type of smart copy operation to perform, either snapshot or replica. (Clones cannot be created by a schedule.)
  • Backup type for the smart copy operation, either copy or full. This determines the behavior of the smart copy operation on the application log file. The actual backup type and behavior is application dependent.
  • Maximum number of snapshots or replicas created by the schedule to keep. Snapshots and replicas are also limited by the snapshot reserve and replica reserve configured on the PS Series group. See the Group Administration guide for details.

After entering the schedule information, click Finish to create the schedule.

To modify a schedule, select or right-click the schedule and click Modify Schedule. You can modify all aspects of the schedule, including the frequency.

To delete a schedule, select or right-click the schedule and click Delete Schedule.


Displaying Smart Copies

To display information about all the smart copy sets, select Smart Copies. The Auto-Snapshot Manager Smart Copies window appears (Auto-Snapshot Manager Smart Copies).

Auto-Snapshot Manager Smart Copies

Smart copy sets appear in the far-left panel under Smart Copies.

  • Smart copy sets created from individual volumes are located under the volume name (for example, E:\) or the volume GUID if the volume is mounted after the smart copies were created.
  • Smart copy sets of a collection are located under the collection name.
  • Smart copy sets of an application component are located under the component name.
  • Smart copy sets that do not have backup documents in the backup document folder will be located under Unknown (for example, those created by a third-party VSS requestor). See Setting General Properties for more information about backup documents.

To display the contents of a smart copy set in the center panel, select the smart copy set.

Within a smart copy set, icons are used to identify the type of smart copy:

  • Camera icon indicates a snapshot. If a blue "I" is added to the icon, the snapshot is imported.
  • Cylinder icon indicates a clone. If a blue "I" is added to the icon, the clone (volume) is imported.
  • Gray cylinder icon with an arrow indicates a replica. If a blue "I" is added to the icon, the replica is mounted.

To display information about an individual snapshot, clone, or replica, select it in the far-left panel. Detailed information will appear in the center panel.

Snapshots and clones can be viewed on the PS Series group where they reside. Replicas can be viewed from the primary or secondary group.


Accessing Data in a Smart Copy Set

How you access or restore data from a smart copy set depends on the original object (volume, collection, or application components) and the product of the smart copy operation (snapshot, replica, or clone).

Depending on the components that comprise the original object, each smart copy set can include one or more volume snapshots, replicas, or clones created at the same time. This is because collections and applications can have multiple components (for example, multiple volumes or databases).

Options for accessing data include:

  • Import and optionally mount a smart copy set. Applies to smart copy sets that contain volume snapshots, volume clones, database snapshots, or database clones.
  • Quickly restore the original object from a smart copy set. Applies to smart copy sets that contain volume snapshots or database snapshots.
  • Restore a portion of the original object from a smart copy set. Applies to smart copy sets that contain database snapshots.
  • Mount a smart copy set as read-only. Applies to smart copy sets that contain volume replicas or database replicas.
  • Restore the original object in a new location. Applies to smart copy sets that contain database snapshots and database clones.
  • Clone and restore the original object in a new location. Applies to smart copy sets that contain database replicas.
    • In this section:

    Importing a Smart Copy Set

    Mounting a Smart Copy Set

    Restoring from a Smart Copy Set

    Validating Smart Copy Sets

    Breaking an Imported Smart Copy Set

    Deleting a Smart Copy Set

    Viewing Backup Documents

    Importing a Smart Copy Set on a Different Computer


Importing a Smart Copy Set

To access the data in a snapshot or clone smart copy set created from volumes or application components, you can import and optionally mount it. Importing a smart copy set makes the contents accessible (for reading and potentially writing) to the computer.

You must import the entire smart copy set and you can do this only one time. This will import all the individual smart copies that comprise the set. You cannot import an individual smart copy in a set.

Once you import a smart copy set:

  • The backup documents for the smart copies are modified, so you cannot import the smart copy set again or transport it to another computer.
  • The snapshots or clones will now appear as disks with an assigned drive letter or mount point, and you can copy data from them.
  • You can break an imported smart copy set. This removes the smart copies from the control of VSS and Auto-Snapshot Manager. However, if you break an imported smart copy set, the storage will still exist on, and can be accessed from, the PS Series group. Also, from the point of view of the application, they are no longer snapshots or clones and cannot be treated as such.

Note: To import a smart copy set, the computer must have the security credentials to access the smart copies in the set. If CHAP is used to restrict computer access to smart copies in the group, but the credentials are not stored on the computer, a dialog box appears, prompting you for the user name and password. See Setting Up Imported Smart Copy Credentials for more information about automatically supplying the CHAP credentials.

To import a smart copy set, select it in the far-left panel and click Import and Mount.

The Smart Copy Deletion Warning dialog box appears (Importing a Smart Copy Set - Deletion Warning).

Importing a Smart Copy Set - Deletion Warning

Read the notes, and if you want to continue, click Next.

Depending on the number of objects in the smart copy set, one or more dialog boxes appear:

  • If the smart copy set consists of only one snapshot or clone, the following dialog box appears (Select a Volume Label - Single Snapshot).

Select a Volume Label - Single Snapshot

Choose the drive letter on which to mount it. The option not to mount the snapshot or clone will be grayed out. Click Finish.

  • If there are several snapshots or clones in the smart copy set, the following dialog box is displayed (Select Volume Label - Several Snapshots or Clones).

Select Volume Label - Several Snapshots or Clones

Choose the drive letter on which to mount the first snapshot or clone in the smart copy set, or choose not to mount it. Click Next.

The same dialog box is displayed for each subsequent object in the set. Again, choose the drive letter on which to mount the snapshot or clone, or choose not to mount it. However, you must mount at least one snapshot or clone in the smart copy set. Click Next until you have processed all the objects in the smart copy set, then click Finish.

While the smart copy set is being imported, a progress bar is displayed.

After a smart copy set is imported, it continues to appear under Smart Copies in the far-left panel, but now a blue "I" appears on the icon.

For each mounted snapshot or clone in the imported smart copy set, the assigned drive letter or mount point is displayed after its icon, as shown by the selected smart copy in Mounted Smart Copy Set.

Mounted Smart Copy Set

The mounted smart copy also appears as a new volume under Volumes in the left Auto-Snapshot Manager panel, and also has an "I" superimposed on it until the smart copy set is broken.

By default, backup documents created by Auto-Snapshot Manager are saved as files with a .bcd extension. After a smart copy set is imported, the backup document extension is changed to .imported, which indicates that the backup document cannot be used again.


Mounting a Smart Copy Set

To access the data in a replica smart copy set created from volumes or application components, you can mount it as a read-only volume. This is a one-time only operation, which causes the following to occur:

  • On the PS Series group, inbound replication is paused from the primary group (where the original volume is stored) to the secondary group (where the replica set is stored).
  • The replica set is promoted to a recovery volume and a set of snapshots. This deletes the backup document for the replica smart copy set.
  • The computer mounts as read-only, and logs in to the snapshot corresponding to the selected replica.
  • The new mounted read-only volume appears in the Auto-Snapshot Manager GUI.

To mount a replica smart copy set as a read-only volume, select the smart copy set in the left Auto-Snapshot Manager panel and click Mount as read-only.

The Smart Copy Deletion Warning is displayed (Smart Copy Deletion Warning).

Smart Copy Deletion Warning

Read the warning, and if you want to continue, click Next.

Depending on the number of objects in the smart copy set, one or more dialog boxes appear:

  • If the smart copy set consists of only one replica, the following dialog box appears (Select Volume Label).

Select Volume Label

Choose the drive letter on which to mount it. The option not to mount the replica will be grayed out. Click Finish.

  • If there are several replicas in the smart copy set, the following dialog box is displayed (Select Volume Label - Multiple Replicas).

Select Volume Label - Multiple Replicas

Choose the drive letter on which to mount the first replica in the smart copy set, or choose not to mount it. Click Next.

The same dialog box is displayed for each subsequent replica in the set. Again, choose the drive letter on which to mount the replica, or choose not to mount it. However, you must mount at least one replica in the smart copy set. Click Next until you have processed all the replicas in the smart copy set, then click Finish.

While the smart copy set is being mounted, a progress bar is displayed.

After the smart copy set is mounted, it continues to appear under Smart Copies in the far-left panel, but now a blue "I" appears on the icon.


Restoring from a Smart Copy Set

You can restore data from a smart copy set. For snapshot smart copy sets created from volumes or volume collections that do not involve databases, the restore operation replaces the current data in the volumes with the data in the smart copy set. The smart copy set continues to exist after the operation, and you can repeat the restore operation as many times as you like. See Restoring Volumes or Volume Collections.

For snapshot smart copy sets created from application components, specifically databases, you can choose to restore:

  • One database out of the set. This option applies when the smart copy set consists of databases that share the same volumes (not a recommended practice). The restore operation replaces the current data in the volumes with the data from the snapshot in the smart copy set. Only the database-specific files are copied (restored) to the appropriate volumes, making this a potentially slower operation than a full, in-place restore.

The snapshots still exist after the operation completes, and you can repeat the restore operation as many times as you like. See Restoring a Specific Database.

  • All the databases in the set. This option replaces the data in all the database volumes with the data in those volumes at the time the smart copy set was created. From the volume perspective, this is considered a fast restore. All the databases are "rolled back" entirely.

The snapshots still exist after the operation completes, and you can repeat the restore operation as many times as you like. See Restoring All Databases.

  • All the databases as new databases. This option creates new databases (with new volumes on new mount points) that contain the data in the snapshots at the time the smart copy set was created.

The snapshots no longer exist after the operation completes. See Restoring All Databases as New Databases.

For replica smart copy sets of application components or collections, you can:

  • Mount the replicas as read-only volumes. The backup document for the smart copy set is deleted, and you cannot repeat this operation. The replicas continue to exist on the PS Series group. See Mounting a Smart Copy Set.
  • Clone the replicas, creating new volumes. This option allows you to perform a manual, side-by-side restore on the original database from the files in the mounted clone. The backup document for the smart copy set is deleted, and you cannot repeat this operation. See Restoring All Databases as New Databases.

For clone smart copy sets of application components or collections, you can:

  • Import and mount the clones. The backup document for the smart copy set is deleted, and you cannot repeat this operation. See Importing a Smart Copy Set.
  • Restore the clones as new databases. This option allows you to perform a manual, side-by-side restore on the original database from the files in the mounted clone. This is the same end result as cloning and mounting a replica smart copy set, except the clone already exists. The backup document for the smart copy set is deleted, and you cannot repeat this operation. See Restoring All Databases as New Databases.
    • In this section:

    Restoring Volumes or Volume Collections

    Restoring a Specific Database

    Restoring All Databases

    Restoring All Databases as New Databases


Restoring Volumes or Volume Collections

To restore a volume or collection of volumes from a snapshot smart copy set, select the snapshot smart copy set and click Restore in the Actions panel.

Confirm that you want to restore the volume or collection from the selected smart copy set.

The volume or volume collection is restored to the contents represented by the selected smart copy set. The smart copy set continues to exist, and you can restore from it as often as necessary.


Restoring a Specific Database

To restore one database from a snapshot smart copy set, without altering any other databases in the smart copy set, select the snapshot smart copy set and click Restore name, where name is the database you want to restore.

The Restore Selective Database Options dialog box is displayed (Restore Selective Database Options).

Restore Selective Database Options

Choose one of the following:

  • Apply Logs. Use this option when you want to manually apply the database transaction logs to the restored database.

If the smart copy was created with a backup type of copy, the Apply Logs option will be unavailable. See Setting Backup Properties for more information on backup types for smart copy sets.

  • Fully Recover. Use this option to completely restore the database to the contents represented by the smart copy set. You can fully recover a database regardless of the backup type used when the smart copy set was created.

Click Finish.

The volumes are restored to the contents represented by the selected smart copy set. The smart copy set continues to exist, and you can restore from it as often as necessary.


Restoring All Databases

If a smart copy set contains snapshots of several databases, you can restore them all in a single operation.

To restore all databases from a smart copy set, select the smart copy set in the far-left Auto-Snapshot Manager panel, and click Restore All in the Actions panel.

The Restore All Databases Options dialog box is displayed (Restore All Databases Options).

Restore All Databases Options

Choose one of the following:

  • Apply Logs. Use this option when you want to manually apply the database transaction logs to the restored databases.

If the smart copy was created with a backup type of copy, the Apply Logs option will be unavailable. See Setting Backup Properties for more information on backup types for smart copy sets.

  • Fully Recover. Use this option to completely restore the databases to the contents represented by the smart copy set. You can fully recover a database regardless of the backup type used when the smart copy set was created.

Click Finish.

The database volumes are restored to the contents represented by the selected smart copy set. The smart copy set continues to exist, and you can restore from it as often as necessary.


Restoring All Databases as New Databases

Instead of restoring your existing, running databases, you can restore them as new databases. This allows you to use the new databases for some other purpose, without disrupting the originals, or lets you perform a side-by-side restore operation, whereby you can compare the databases and make changes at a higher granularity.

Note: This is a one-time only operation. Afterwards, the backup document will be deleted.

To restore all the databases in a smart copy set as new databases:

  1. Select the smart copy set in the far-left Auto-Snapshot Manager panel. In the Actions panel, click one of the following, depending on the type of smart copy set:
    • For a snapshot or clone smart copy set, click Restore All as New.
    • For a replica smart copy set, click Clone and Restore All as New.

The Restore All as New dialog box is displayed (Restore All Databases as New).

Restore All Databases as New

2. Click Next. The Volume Mapping dialog box is displayed (Volume Mapping for New Databases).

Volume Mapping for New Databases

For each volume in the Original Volume Names list, select the volume and choose a new drive letter on which to mount the new volume.

3. Click Next. For each database you are restoring, the New Database Name dialog box is displayed (New Database Names).

New Database Names

Assign a unique name to each new database. Optionally, enter the name of the computer that will serve the new database, if different from the computer serving the original database.

Note: Auto-Snapshot Manager will not restore the new databases onto a different computer. The other computer must meet the requirements described in Auto-Snapshot Manager Computer and Group Requirements. See also Importing a Smart Copy Set on a Different Computer.

Also, choose whether to make the new database read-only. Use this option if you do not want users to accidentally make changes to the new database; for example, if you plan to make side-by-side restorations to the original database.

The TSQL Command field shows the SQL commands that will be executed to create the new database. If desired, you can add custom actions to the command.

4. Click Next and assign a new, unique name to each additional database until you have processed them all, then click Finish.

While the new databases are being created, a progress bar is displayed. When the restore operation completes, the backup document will no longer exist, and the new volumes appear in the Volumes list in the left Auto-Snapshot Manager panel. Refresh your database application to see the new databases.


Validating Smart Copy Sets

You can validate smart copy sets to ensure that the backup documents exist and all the individual smart copies in each smart copy set exist. Validation verifies that the smart copies described in the backup documents still exist on the PS Series group.

Note: You can only validate the entire Smart Copies folder, not an individual smart copy set.

To validate all the smart copy sets, right-click Smart Copies in the far-left Auto-Snapshot Manager panel, and select Validate storage for backup documents in the Actions panel.

If all the smart copy objects exist on the PS Series groups, the message in Auto-Snapshot Manager Properties - General is displayed.

Validate Storage - Success

If any smart copy objects no longer exist or cannot be found, the message in Auto-Snapshot Manager Properties - CHAP is displayed.

Validate Storage - Broken Smart Copy

Broken smart copies are moved to a new folder called Broken in the far-left Auto-Snapshot Manager panel. If a PS Series group cannot be reached during validation, a new folder called Unreachable is created, and the smart copies that could not be validated are placed in that folder.


Breaking an Imported Smart Copy Set

Breaking an imported smart copy set removes the imported smart copies from the control of VSS. The smart copies can no longer be managed through Auto-Snapshot Manager. However, you can still access the imported smart copies from the Windows Disk Management utility, and you can still access the corresponding smart copies in the PS Series group. Host connections to the associated iSCSI targets are not disrupted.

To break an imported smart copy set, select it in the far-left panel and click Break in the Actions panel.


Deleting a Smart Copy Set

To delete a smart copy set, select it in the far-left panel and click Delete Smart Copy Set in the Actions panel.

You can delete all the smart copy sets for an object by selecting the object under Smart Copies and clicking Delete All Smart Copies in the Actions panel.

Note that the computer will first import the transportable smart copy set before deleting it.


Viewing Backup Documents

Each smart copy set created with Auto-Snapshot Manager includes a backup document that describes the smart copies in the set. A backup document must exist on a computer in order for Auto-Snapshot Manager to access the smart copy set.

To view a backup document, under Smart copies in the far-left Auto-Snapshot Manager panel, right-click the smart copy set and select View Backup Document. The Backup Document window appears (Backup Document).

Click Save As to save the document to a different file; for example, to transport the backup document to a different computer.

Backup Document


Importing a Smart Copy Set on a Different Computer

If you want to access a smart copy set from a different computer than the one that created it with Auto-Snapshot Manager, the other computer must have access to the backup document created on the original computer, and must meet the requirements described in Auto-Snapshot Manager Computer and Group Requirements.

To enable another computer to access a smart copy set:

  1. Configure the computer to which the smart copy set will be transported. You must install Auto-Snapshot Manager on the computer.

    In addition, the computer must meet the following requirements:
    • Microsoft services running on the computer must be able to access the group. See Configuring Microsoft Service Access to the Group for more information.
    • Smart copy credentials must be set. See Setting Up Imported Smart Copy Credentials.
    • The computer must have the appropriate VSS/VDS credentials configured. Setting Up VSS/VDS Credentials.
  2. Use the iSCSI initiator console and enter the group IP address as the Target Portal address. This enables the computer to "discover" the iSCSI targets presented by the group. Do not log in to a target. This will occur automatically.
  3. Copy the backup document to the importing computer, or make the backup document available to a file share that is accessible by the importing computer.
  4. Start Auto-Snapshot Manager on the importing computer.
  5. Select the smart copy set in the far-left Auto-Snapshot Manager panel and click Attach External Smart Copy.

A dialog box appears, allowing you to browse for the location of the backup document. Once you locate it, it will be placed in the default backup document location (specified in General Properties).

If a smart copy set cannot be accessed, it may be because the computer does not have the right security credentials or because part of the smart copy set is missing. Make sure the importing computer is configured correctly, as described in Step 1.


Managing Smart Copies Using the Group Manager

Once you create a smart copy set with Auto-Snapshot Manager, the smart copies are visible in the PS Series Group Manager GUI and CLI. For troubleshooting, you may need to access and manage a smart copy from the PS Series group.

Note: It is recommended that you manage smart copies from Auto-Snapshot Manager or the VSS requestor that created them, not the PS Series group.


Creating Smart Copy Sets from a Script

If you have existing scripts for running backups or performing other background operations, you can also schedule the creation of smart copy sets by adding an Auto-Snapshot Manager command to the script.

Note: The only operation you can perform using a script is creating smart copy sets through a schedule. To perform all other operations, you must use the Auto-Snapshot Manager GUI.

The basic procedure for adding an Auto-Snapshot Manager command to your script is as follows:

  1. Use the Auto-Snapshot Manager GUI to create a temporary smart copy schedule. This schedule will be your template. Be sure to create the temporary schedule with all the attributes you want to use in your script. See Scheduling Smart Copy Operations for more information.

    Also, configure e-mail notification to alert you if scheduled smart copy operations fail. See Setting Notification Properties, and Scheduling Smart Copy Operations.
  2. Copy the command line for the schedule from the Auto-Snapshot Manager GUI to a text editor and make the changes described in Copying and Editing the Auto-Snapshot Manager Command.
  3. Add the edited Auto-Snapshot Manager command to your existing scripts.
  4. Delete the temporary schedule from the Auto-Snapshot Manager GUI. If you do not delete the schedule, it will run as specified, potentially interfering with your scripted scheduler and creating unexpected smart copy sets.

You can now run your backup script as needed.

In this section:

Copying and Editing the Auto-Snapshot Manager Command


Copying and Editing the Auto-Snapshot Manager Command

After you have created a temporary schedule as a template, select it to display its details in the center panel.

As shown in Schedule Details , the line labeled "Arguments" contains the command line to run the schedule, and identifies the schedule ID.

Schedule Details

The format of the command line is as follows:

scheduleID="schedule_ID" objectID="object_type{object_ID}"
comment="User Comment"--@ shadowType=type
backupType=type snapshotType=Transportable keepCount=n

The parameters are described below.

  • scheduleID — The ID of the schedule you created.
  • objectID — The ID of the object to which the schedule applies; for example a volume, application components, or collection.
  • comment — Optional comment text describing the schedule. If you entered a comment when creating the schedule, the comment text appears here.
  • shadowType — An internal attribute whose value is always Transportable. This attribute applies to the resulting smart copy set (created by the schedule), and means the smart copy set can be imported by different computers than the one on which it was created.
  • backupType — Describes the backup type, either copy or full. This is the attribute you specified when creating the schedule.
  • snapshotType — Specifies whether the smart copy created by the schedule will be a snapshot or a replica. This is the attribute you specified when creating the schedule. (You cannot create clones through a schedule.)
  • keepCount — Specifies the number of smart copy sets to retain from the schedule. This is the attribute you specified when creating the schedule. The allowed range is 0-64. When this value is met, smart copy sets will be deleted, starting with the oldest. If you specified 0, no smart copy sets will be deleted. We do not recommend setting this value to 0, as you can consume snapshot space on the PS Series group faster than expected.

To edit the command string for inclusion in an existing script:

  1. Right-click the Arguments line and choose Copy to Clipboard.

2. Paste the text into a text editor of your choice. The original, pasted text looks similar to Original Command for a Schedule.

Original Command for a Schedule

3. Delete the words "Property", "Value", and "Arguments".

4. Add the full command path to the beginning of the text, making sure it precedes the pasted text. By default, Installation_directory is the directory where you installed the Host Integration Tools kit.

Installation_directory\bin\eqlvssadmin.exe

The text should now look similar to Edited Command for a Single Schedule.

Edited Command for a Single Schedule

Edited Commands for Several Schedules shows an example of a sequence of command lines that will run schedules for different objects.

Edited Commands for Several Schedules

5. If desired, you can change the values for backupType (either full or copy), snapshotType (either Snapshot or Replica), and keepCount. The comment string, if any, must end with the termination characters --@. If there is no comment, you can delete this entire parameter.

6. When finished editing the command, copy and paste the entire command line into your existing script.

7. Test the command before executing it in a production environment. For example, open a command prompt, then run the command to identify and correct any typographical errors or incorrect ID values. Check the Auto-Snapshot Manager GUI to verify that a smart copy set was created.

Also verify that you received e-mail notification according to your configuration (when the schedule either succeeds or fails).

When you have revised and tested your script, you must delete the temporary schedule you created in Auto-Snapshot Manager by selecting it and clicking Delete Schedule.

If you do not delete the schedule, it will run as specified, potentially interfering with your scripted scheduler and creating unexpected smart copy sets.

To add more command lines for other object schedules to your script, repeat the previous procedure.


Troubleshooting Auto-Snapshot Manager

The following describes some common issues with Auto-Snapshot Manager in order to assist you in diagnosing and resolving these issues.

In this section:

Ensuring the Correct Access Controls

Cannot Create VSS Smart Copies After Updating to V3.0

Question Mark Icon on a Smart Copy Set

Checking the Event Log


Ensuring the Correct Access Controls

If a computer is having difficulty creating smart copies of a PS Series volume or importing or restoring from a smart copy set, it may not have the correct security credentials.

Access control requirements for Auto-Snapshot Manager are as follows:

  • If a computer will be creating smart copies of a volume, the computer must be connected to the volume.
  • If a computer will be importing, restoring from, or mounting smart copy sets, the computer must be able to access the smart copies in the group.
  • If a computer will be creating, importing, restoring from, or mounting smart copy sets, Microsoft services running on the computer must be able to access the group.

See Setting Up Access Controls for more information.


Cannot Create VSS Smart Copies After Updating to V3.0

After updating to Auto-Snapshot Manager 3.0, if you cannot create smart copies, you may be able to solve the problem as follows:

  • Make sure the computer has the correct access controls configured. See Setting Up Access Controls.
  • Use the Group Manager GUI or CLI to check that the group members and volumes are available.
  • Make sure that the computer has all the required software, initiator, and network interfaces.


Question Mark Icon on a Smart Copy Set

Under Smart Copies in the far-left Auto-Snapshot Manager panel, if a smart copy set displays a question mark icon and a volume serial number, as shown in Unreachable Base Volume for Smart Copy Set, this indicates that there is no longer a connection to the base volume.

You can still mount or import the smart copy set or restore from it.

Unreachable Base Volume for Smart Copy Set


Checking the Event Log

If you run into issues using Auto-Snapshot Manager, be sure to check the Windows event log as an important source of information. Expand the Event Viewer on the computer and click Application to view the log. Look for EqualLogic and VSS in the column labeled Source.

Also, review the System log as an additional source of information. Click System under the Event Viewer.

Finally, consult the PS Series Group Manager Event Log. In the Group Manager GUI, click Events in the far-left panel.


VDS Provider

The Virtual Disk Service (VDS) provider enables you to use Microsoft VDS V1.1 and Microsoft Storage Manager for SANs to create and manage volumes in a PS Series group.

Microsoft Storage Manager for SANs provides a hardware-independent interface for creating volumes (or LUNs) on storage provided by different vendors, instead of having to use each vendor’s interface (such as the Group Manager GUI for PS Series groups).

VDS provider topics include:

  • VDS Provider Requirements
  • VDS Provider Guidelines and Restrictions
  • Creating a Volume Using Storage Manager for SANs
  • Troubleshooting VDS

See the Host Integration Tools Release Notes for the latest information about the VDS provider.

In this section:

VDS Provider Requirements

VDS Provider Guidelines and Restrictions

Creating a Volume Using Storage Manager for SANs

Troubleshooting VDS


VDS Provider Requirements

Windows and PS Series group requirements for VDS are as follows:

  • PS Series group running PS Series Firmware Version 3.2 with Patch L2, or a higher version.
  • On the computer, Microsoft Windows Server 2003 R2 SP2.

Note: If you are not running Microsoft Server 2003 R2 SP2, you still need the VDS provider and Microsoft VDS V1.1 to provide some of the functionality in Auto-Snapshot Manager.

  • On the computer, Microsoft iSCSI Software Initiator V2.04.
  • On the computer, install the VDS provider, as described in Installing the Host Integration Tools. See Troubleshooting VDS for information on determining whether VDS is installed.
  • Access to the group by Microsoft services (VDS and VSS) running on the computer. See Configuring Microsoft Service Access to the Group for more information.


VDS Provider Guidelines and Restrictions

The VDS provider can be used in conjunction with Microsoft VDS V1.1 and Storage Manager for SANs to create and manage volumes in a PS Series group. Guidelines and useful information about these configurations are as follows:

  • It is recommended that you select a method by which to provision volumes and use that method consistently to create and manage volumes, with the exception of activities that explicitly require a particular method. For example, if you create a volume using Storage Manager for SANs, use that method to manage the volumes, except when you must use Group Manager to modify snapshot settings and configure replication.
  • If you are using Microsoft Storage Manager for SANs to create a volume in a PS Series group, it automatically creates access controls for the volume. If CHAP is used, the user name is always the iSCSI initiator name (as required by Microsoft VDS rules). You can also specify a password. Storage Manager for SANs then automatically creates a corresponding access control record and local CHAP account, if CHAP is used, in the group. Always use Storage Manager for SANs to manage these access controls.

    However, for a volume created with Storage Manager for SANs, you can use the Group Manager GUI or CLI to create additional access controls in the group. Always use Group Manager to manage these access controls.
  • A volume created with Storage Manager for SANs inherits the group-wide snapshot settings (snapshot reserve, warning percentage, and space recovery policy).
  • Volumes created with Storage Manager for SANs appear in the Group Manager Volume Access window with yes in the VDS column.
  • To import VSS snapshots of a volume created with Storage Manager for SANs, the computer must present credentials that match an access control record set up in the group for the snapshots of the volume. Follow these steps:

    • a. In the group, set up an access control record that applies to the volume snapshots. In addition, if snapshot access is protected with CHAP, you must also set up a local CHAP account in the group. You can specify the CHAP user name and password that were configured when the volume was created, or you can specify different credentials.

    b. On the computer, when you try to import the snapshot, if CHAP is used, you will be prompted for the user name and password. To avoid being prompted for this information, use Auto-Snapshot Manager to specify the user name and password in the Properties Password dialog box. Note that this user name and password will apply to all VSS snapshots created in the group and accessed from the computer.

  • If you change access controls related to Microsoft service access to the group or computer access to VSS snapshots, be sure you make the necessary changes on both the computer and the group:

    • - For volumes created with Storage Manager for SANs, use that interface to change the access controls on both the computer and the group.

    - For VSS snapshots of volumes created with Storage Manager for SANs, use the Group Manager GUI or CLI to modify the snapshot access control records and CHAP accounts, if CHAP is used. On the computer, use Auto-Snapshot Manager Properties Password dialog box to specify the CHAP user name and password.

    - For Microsoft service access to the group, use the Remote Setup Wizard to modify the computer configuration. In the group, use the Group Manager GUI or CLI to modify VSS/VDS access control records and CHAP accounts, if CHAP is used.


Creating a Volume Using Storage Manager for SANs

To use Microsoft Storage Manager for SANs to create a volume in a PS Series group, the group (SAN) must be set up and the VDS provider must be installed on the computer.

Volumes created with Storage Manager for SANs use the default group-wide volume snapshot settings for snapshot space, warning level, and action to take when snapshot space is exceeded. You can use the Group Manager GUI or CLI to change the snapshot settings.

When Storage Manager for SANs creates a volume in a group, it automatically creates access controls for the volume. If CHAP is used, the user name is always the iSCSI initiator name.

You can also specify a secret (password), if desired. In addition, Storage Manager for SANs automatically creates an access control record in the group with matching access controls, in addition to a local CHAP account, if CHAP is used.

Note: The volume access controls that Storage Manager for SANs creates in the group also apply to snapshots of the volume. Once these credentials are assigned, you cannot change them using the Group Manager GUI or CLI. Instead, you must use Storage Manager for SANs to change the CHAP credentials. You can set up additional access controls for a volume created with Storage Manager for SANs by using normal Group Manager access control records.

To start Storage Manager for SANs, click:

Start > Administrative Tools > Storage Manager for SANs

See the Storage Manager for SANs documentation for more information on using this utility.


Troubleshooting VDS

If you cannot manage the PS Series group with Microsoft Storage Manager for SANs:

  • Check that the VDS Provider is installed by clicking Control Panel > Administrative Tools > Services and verifying that EqlVdsHwPrv is running. Alternatively, look for Microsoft Software Shadow Copy Provider in the list of Services.
  • Ensure that access controls are configured correctly on both the computer and the PS Series group. See Configuring Microsoft Service Access to the Group for more information. Also, ensure that you adhere to the guidelines described in VDS Provider Guidelines and Restrictions.
  • Verify Microsoft Initiator version 2.04 is installed on the system. Use the Control Panel and examine Add/Remove Programs for the presence of the initiator. To check the initiator version, click Start > Programs > Microsoft iSCSI Initiator and open the Release Notes or Read Me file.


Copyright and Trademark Information

Copyright © 2008 EqualLogic, Inc.

EqualLogic is a registered trademark.

Dell is a trademark of Dell, Inc.

All trademarks and registered trademarks mentioned herein are the property of their respective owners.

Information in this document is subject to change without notice.

Reproduction in any manner whatsoever without the written permission is strictly forbidden.

February 2008


Index

A

access control records

CHAP accounts 3-11

controlling access by Microsoft services 3-10

troubleshooting 3-58

access controls

overview 3-9

array

network address 2-5

network connection guidelines 2-3

Auto-Snapshot Manager

backup documents location

changing 3-14

breaking imported smart copy sets 3-50

components 3-25

configuring CHAP properties 3-15

configuring default smart copy operation 3-20

configuring e-mail notification 3-21

configuring global import credentials 3-16

configuring VSS/VDS credentials 3-18

creating collections 3-26

customizing 3-23

deleting smart copy sets 3-50

GUI overview 3-24

importing smart copy sets 3-37

refreshing the GUI 3-25

setting properties 3-13

starting 3-13

transporting smart copy sets 3-52

troubleshooting 3-58

after an update 3-59

B

backup documents

changing location 3-14

configuring location 3-14

displaying 3-51

saving 3-51

breaking imported smart copy sets 3-50

broken smart copies 3-50

C

CHAP

creating accounts 3-11

clones

defined 3-3

icon 3-35

collections

creating 3-26 , 3-27

creating smart copy sets 3-29

defined 3-3

deleting 3-29

displaying contents 3-26

modifying 3-29

predefined 3-26

components of Auto-Snapshot Manager 3-25

computer

access controls 3-9

disabling access to a group 2-16

enabling access to a group 2-14

Flow Control recommendation 2-3

Jumbo Frames recommendation 2-3

requirements 3-5

connecting to volumes 3-12

creating smart copies 3-30

customizing Auto-Snapshot Manager console 3-23

D

databases

and sharing volumes 3-6

restoring all 3-45

restoring all as new 3-47

restoring selective 3-44

default gateway (member) 2-5

deleting smart copy sets 3-50

displaying

backup documents 3-51

smart copies 3-34

in PS Series group 3-53

documentation and support 1-v

E

event logs, for troubleshooting 3-60

F

Flow Control recommendation 2-3

G

Gigabit Ethernet recommendation 2-3

group

computer access to

disabling 2-16

enabling 2-14

configuration, prompts 2-6

IP address 2-6

multipath I/O requirements 2-19

name 2-6

requirements 3-6

I

importing smart copy sets 3-37

iSCSI initiator

connecting to volumes 3-12

requirements 3-5

J

Jumbo Frames recommendation 2-3

M

member

increasing bandwidth 2-3

multipath I/O recommendation 2-3

network address 2-5

network connection guidelines 2-3

subnet access recommendation 2-3

Microsoft Management Console (MMC)

and Auto-Snapshot Manager 3-23

Microsoft services

creating access controls 3-10

multipath I/O

displaying sessions 2-21

features 2-17

initator installation 2-21

load balancing policy 2-21

logging in to volume 2-21

logging off a volume 2-22

requirements

computer 2-19

group 2-19

selecting subnets 2-20

steps for setting up 2-20

troubleshooting 2-22

N

netmask (member) 2-5

network

array IP address 2-5

connection guidelines 2-3

group IP address 2-6

improving performance 2-3

P

plex, See clone.

PS Series group requirements 3-6

Q

question mark icon 3-59

R

Remote Setup Wizard

creating groups 2-4

disabling computer access to a group 2-16

enabling computer access to a group 2-14

expanding groups 2-11

initializing array 2-4

setting access controls 3-10

setting up multipathing 2-17

replicas

defined 3-3

icon 3-35

requirements

computer 3-5

initiator 3-5

iSCSI access 3-5

multipath I/O 2-19

operating system 3-5

PS Series group 3-6

restoring

databases, all 3-45

databases, all as new 3-47

databases, selective 3-44

volume collections 3-44

volumes 3-44

S

saving backup documents to a file 3-51

scheduling smart copy operations 3-32

security credentials

troubleshooting 3-58

servers

accessing snapshots 3-11

accessing volumes 3-11

setup utility

group configuration prompts 2-6

smart copies

accessing data 3-35

creating 3-30

displaying 3-34

displaying in PS Series group 3-53

scheduling 3-32

smart copy sets

accessing data 3-32

breaking 3-50

breaking imported 3-36

broken 3-50

clones, restore operations 3-44

copying data from 3-36

creating 3-25 , 3-26

creating, from script 3-53

defined 3-3

deleting 3-50

importing 3-32 , 3-36 , 3-37

managing 3-25

mounting 3-40

replicas, restore operations 3-43

restoring from 3-42

snapshots, restore operations 3-43

torn, defined 3-6

transporting 3-32 , 3-52

validating 3-49

snapshots

defined 3-3

icon 3-35

server access 3-11

Spanning-Tree recommendation 2-4

switches, recommendations

Flow Control 2-3

Jumbo Frames 2-3

Spanning-Tree 2-4

unicast storm control 2-3

VLAN 2-4

system log

for troubleshooting 3-60

T

technical support 1-v

torn smart copy set 3-6

transporting smart copy sets 3-52

U

unicast storm control recommendation 2-3

V

validating smart copy sets 3-49

VDS, See Virtual Disk Service

Virtual Disk Service

creating a volume

features

guidelines

requirements

restrictions

troubleshooting

VLAN recommendation 2-4

volume collections

restoring 3-44

volumes

and multiple databases, recommendation 3-6

restoring 3-44

server access 3-11

VSS

group access, defined 3-10

VSS/VDS credentials

configuring 3-18


Table of Contents

Welcome to Host Integration Tools

Audience

Organization

Documentation

Technical Support and Customer Service

Host Integration Tools Installation

Host Integration Tools Components

Operating System Support

Installing the Host Integration Tools

Uninstalling the Host Integration Tools

Remote Setup Wizard

Remote Setup Wizard Features

Remote Setup Wizard Computer and Group Requirements

PS Series Group Network Recommendations

Launching the Remote Setup Wizard

Initializing an Array and Creating a Group

Initializing an Array and Expanding a Group

Enabling Computer Access to a Group

Disabling Microsoft Service Access to a Group

Using the Multipath I/O DSM

Introduction to Multipath I/O

Multipath I/O Computer and Group Requirements

Configuring Multipath I/O Between a Computer and a Group

Logging into a Volume with Multipath I/O

Logging Off a Volume with Multipath I/O

Troubleshooting Remote Setup Wizard

Auto-Snapshot Manager

Introduction to Auto-Snapshot Manager

Auto-Snapshot Manager Capabilities

Preparing to Use Auto-Snapshot Manager

Auto-Snapshot Manager Computer and Group Requirements

Important Information About Using Volumes for Multiple Databases

Setting Up Access Controls

Configuring Microsoft Service Access to the Group

Configuring Access to Volumes and Snapshots

Connecting to an iSCSI Target

Assigning a Drive Letter to the Volume

Starting and Configuring the ASM GUI

Setting General Properties

Setting CHAP Properties

Setting Up Global Imported Smart Copy Credentials

Setting Up VSS/VDS Credentials

Setting Up Imported Smart Copy Credentials

Setting Backup Properties

Setting Notification Properties

Customizing the Auto-Snapshot Manager Console

Navigating the Auto-Snapshot Manager GUI

Creating Collections

Managing Smart Copies

Creating Smart Copy Sets

Scheduling Smart Copy Operations

Displaying Smart Copies

Accessing Data in a Smart Copy Set

Importing a Smart Copy Set

Mounting a Smart Copy Set

Restoring from a Smart Copy Set

Restoring Volumes or Volume Collections

Restoring a Specific Database

Restoring All Databases

Restoring All Databases as New Databases

Validating Smart Copy Sets

Breaking an Imported Smart Copy Set

Deleting a Smart Copy Set

Viewing Backup Documents

Importing a Smart Copy Set on a Different Computer

Managing Smart Copies Using the Group Manager

Creating Smart Copy Sets from a Script

Copying and Editing the Auto-Snapshot Manager Command

Troubleshooting Auto-Snapshot Manager

Ensuring the Correct Access Controls

Cannot Create VSS Smart Copies After Updating to V3.0

Question Mark Icon on a Smart Copy Set

Checking the Event Log

VDS Provider

VDS Provider Requirements

VDS Provider Guidelines and Restrictions

Creating a Volume Using Storage Manager for SANs

Troubleshooting VDS

Copyright and Trademark Information


Host Integration Tools User Guide


Copyright 2008 EqualLogic, Inc. All rights reserved.

EqualLogic is a registered trademark.

Dell is a trademark of Dell, Inc.

All trademarks and registered trademarks mentioned herein are the property of their respective owners.

Information in this document is subject to change without notice.

Reproduction in any manner whatsoever without the written permission is strictly forbidden.

February 2008

Part Number: 110-5030-R1


HOST INTEGRATION TOOLS

USER GUIDE

Version 3.0